GNU bug report logs - #50264
ca-certificate-bundle fails to build

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Lars-Dominik Braun <lars@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'serious' from 'important' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 15 Sep 2021 16:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 12:30:48 2021
Received: from localhost ([127.0.0.1]:53084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQXo8-0003DD-J1
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:30:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQXo6-0003Co-0b
 for 50264 <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:30:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42498)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQXo0-0004U4-9A; Wed, 15 Sep 2021 12:30:40 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35674 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQXny-0005Yv-VN; Wed, 15 Sep 2021 12:30:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
In-Reply-To: <87sfy63tlh.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Wed, 15 Sep 2021 14:34:50 +0200")
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN> <87a6kf5mpo.fsf@HIDDEN>
 <YUDIBgbIIUOgKZ96@HIDDEN> <YUGVdtWS4uF82gVn@HIDDEN>
 <87sfy63tlh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
Date: Wed, 15 Sep 2021 18:30:37 +0200
Message-ID: <8735q54x8y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

And for posterity, here=E2=80=99s the script I used to reproduce the proble=
m:
it=E2=80=99d pick 10 packages at random and call =E2=80=98ca-certificate-bu=
ndle=E2=80=99 on them.

Since this bug depends on what=E2=80=99s in the store, I=E2=80=99d run it o=
n my laptop,
which only contains a fraction of the 18K packages in Guix, so it would
reproduce the bug after a couple of iterations.

That, together with the inevitable =E2=80=98pk=E2=80=99 calls plus a bit of=
 chance, voil=C3=A0!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=ca-certificate-bundle.scm
Content-Description: the reproducer

;; https://issues.guix.gnu.org/50264

(use-modules (gnu) (guix)
             (guix profiles) (guix monads)
             (ice-9 match) (srfi srfi-1))

(define (all-packages)
  "Return the list of all the packages, public or private, omitting only
superseded packages."
  (fold-packages (lambda (package lst)
                   (match (package-replacement package)
                     (#f (cons package lst))
                     (replacement
                      (append (list replacement package) lst))))
                 '()
                 #:select? (negate package-superseded)))

(define (random-seed)
  (logxor (getpid) (car (gettimeofday))))

(define shuffle                                   ;from offload.scm
  (let ((state (seed->random-state (random-seed))))
    (lambda (lst)
      "Return LST shuffled (using the Fisher-Yates algorithm.)"
      (define vec (list->vector lst))
      (let loop ((result '())
                 (i (vector-length vec)))
        (if (zero? i)
            result
            (let* ((j (random i state))
                   (val (vector-ref vec j)))
              (vector-set! vec j (vector-ref vec (- i 1)))
              (loop (cons val result) (- i 1))))))))

(define (test packages)
  (pk 'testing-packages (map package-full-name packages))
  (let ((manifest (packages->manifest packages)))
    (with-store store
      (let ((drv (run-with-store store
                   (ca-certificate-bundle manifest))))
        (pk 'drv drv)
        (unless (find (lambda (input)
                        (let ((drv (derivation-input-derivation input)))
                          (string-prefix? "glibc-utf8-locales"
                                          (derivation-name drv))))
                      (derivation-inputs drv))
          (pk 'drv drv (derivation-inputs drv))
          (display-backtrace (make-stack #t) (current-error-port))
          (error "bah!" drv))
        (newline) (newline)))))

(let loop ((packages (shuffle (all-packages))))
  (test (take packages 10))
  (loop (drop packages 10)))

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 15 Sep 2021 16:30:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 12:30:43 2021
Received: from localhost ([127.0.0.1]:53081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQXo3-0003Cw-9I
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:30:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQXo1-0003CO-AG
 for 50264 <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:30:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42482)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQXnv-0004NW-4X; Wed, 15 Sep 2021 12:30:35 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35672 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQXnR-0005Ju-M2; Wed, 15 Sep 2021 12:30:22 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN> <87a6kf5mpo.fsf@HIDDEN>
 <YUDIBgbIIUOgKZ96@HIDDEN> <YUGVdtWS4uF82gVn@HIDDEN>
 <87sfy63tlh.fsf@HIDDEN>
Date: Wed, 15 Sep 2021 18:30:04 +0200
In-Reply-To: <87sfy63tlh.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Wed, 15 Sep 2021 14:34:50 +0200")
Message-ID: <874kal4x9v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

And for posterity, here=E2=80=99s the script I used to reproduce the proble=
m:
it=E2=80=99d pick 10 packages at random and call =E2=80=98ca-certificate-bu=
ndle=E2=80=99 on them.

Since this bug depends on what=E2=80=99s in the store, I=E2=80=99d run it o=
n my laptop,
which only contains a fraction of the 18K packages in Guix, so it would
reproduce the bug after a couple of iterations.

That, together with the inevitable =E2=80=98pk=E2=80=99 calls plus a bit of=
 chance, voil=C3=A0!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=ca-certificate-bundle.scm
Content-Description: the reproducer

;; https://issues.guix.gnu.org/50264

(use-modules (gnu) (guix)
             (guix profiles) (guix monads)
             (ice-9 match) (srfi srfi-1))

(define (all-packages)
  "Return the list of all the packages, public or private, omitting only
superseded packages."
  (fold-packages (lambda (package lst)
                   (match (package-replacement package)
                     (#f (cons package lst))
                     (replacement
                      (append (list replacement package) lst))))
                 '()
                 #:select? (negate package-superseded)))

(define (random-seed)
  (logxor (getpid) (car (gettimeofday))))

(define shuffle                                   ;from offload.scm
  (let ((state (seed->random-state (random-seed))))
    (lambda (lst)
      "Return LST shuffled (using the Fisher-Yates algorithm.)"
      (define vec (list->vector lst))
      (let loop ((result '())
                 (i (vector-length vec)))
        (if (zero? i)
            result
            (let* ((j (random i state))
                   (val (vector-ref vec j)))
              (vector-set! vec j (vector-ref vec (- i 1)))
              (loop (cons val result) (- i 1))))))))

(define (test packages)
  (pk 'testing-packages (map package-full-name packages))
  (let ((manifest (packages->manifest packages)))
    (with-store store
      (let ((drv (run-with-store store
                   (ca-certificate-bundle manifest))))
        (pk 'drv drv)
        (unless (find (lambda (input)
                        (let ((drv (derivation-input-derivation input)))
                          (string-prefix? "glibc-utf8-locales"
                                          (derivation-name drv))))
                      (derivation-inputs drv))
          (pk 'drv drv (derivation-inputs drv))
          (display-backtrace (make-stack #t) (current-error-port))
          (error "bah!" drv))
        (newline) (newline)))))

(let loop ((packages (shuffle (all-packages))))
  (test (take packages 10))
  (loop (drop packages 10)))

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264-done <at> debbugs.gnu.org:


Received: (at 50264-done) by debbugs.gnu.org; 15 Sep 2021 16:25:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 12:25:58 2021
Received: from localhost ([127.0.0.1]:53034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQXjR-00031d-SW
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:25:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQXjO-00031O-H5
 for 50264-done <at> debbugs.gnu.org; Wed, 15 Sep 2021 12:25:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42290)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQXjI-0000FC-19; Wed, 15 Sep 2021 12:25:48 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35668 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQXiq-0007zM-Vw; Wed, 15 Sep 2021 12:25:35 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN> <87a6kf5mpo.fsf@HIDDEN>
 <YUDIBgbIIUOgKZ96@HIDDEN> <YUGVdtWS4uF82gVn@HIDDEN>
 <87sfy63tlh.fsf@HIDDEN>
Date: Wed, 15 Sep 2021 18:25:18 +0200
In-Reply-To: <87sfy63tlh.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Wed, 15 Sep 2021 14:34:50 +0200")
Message-ID: <87ilz14xht.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264-done
Cc: 50264-done <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> I=E2=80=99m wondering whether this could be due to
> fa81971cbae85b39183ccf8f51e8d96ac88fb4ac somehow.

Confirmed!  In essence, =E2=80=98map/accumulate-builds=E2=80=99 would retur=
n the tail of
its =E2=80=98lst=E2=80=99 argument unprocessed when cutoff was reached (ouc=
h!).  Fixed:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3Df72f4b48c6777da94=
65ab17baa6762476d6cb270

Let me know if you still experience fishy behavior!

Ludo=E2=80=99.




Notification sent to Lars-Dominik Braun <lars@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 15 Sep 2021 12:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 08:35:02 2021
Received: from localhost ([127.0.0.1]:51214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQU7x-0000gJ-Rc
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 08:35:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQU7v-0000fv-EN
 for 50264 <at> debbugs.gnu.org; Wed, 15 Sep 2021 08:35:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33372)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQU7q-0005rc-3v; Wed, 15 Sep 2021 08:34:54 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35654 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQU7p-00026j-RW; Wed, 15 Sep 2021 08:34:54 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN> <87a6kf5mpo.fsf@HIDDEN>
 <YUDIBgbIIUOgKZ96@HIDDEN> <YUGVdtWS4uF82gVn@HIDDEN>
Date: Wed, 15 Sep 2021 14:34:50 +0200
In-Reply-To: <YUGVdtWS4uF82gVn@HIDDEN> (Lars-Dominik Braun's message
 of "Wed, 15 Sep 2021 08:40:54 +0200")
Message-ID: <87sfy63tlh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Lars-Dominik Braun <lars@HIDDEN> skribis:

> I started the Guix daemon with only the CI substitute server enabled
> explicitly, disabled local discovery, ran a `guix gc` and tried again. It
> still fails with exactly the same issue.

I=E2=80=99m wondering whether this could be due to
fa81971cbae85b39183ccf8f51e8d96ac88fb4ac somehow.

If you have a reliable way to test this hypothesis, that=E2=80=99d be great.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 15 Sep 2021 06:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 02:41:10 2021
Received: from localhost ([127.0.0.1]:50630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQObW-0001yf-Ei
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 02:41:10 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:58784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1mQObS-0001xu-LJ
 for 50264 <at> debbugs.gnu.org; Wed, 15 Sep 2021 02:41:09 -0400
Received: from smtp102.mailbox.org (smtp102.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:3:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4H8VwX2G47zQk0n;
 Wed, 15 Sep 2021 08:41:00 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1631688058;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=TJ9bIKIOkq3JAPF5IgXSoiF7IOZALsJRe011JjIioks=;
 b=uhiMxRA0XdFvkyiVBzJNhX58fR/pbfVQQjwncPhs+xMUsFB7BScxW/7P1/65Oe2aLDICNR
 1ZZC9cfY3iQWre+Tj7f8bsZ6J8CpOYgTwTqRzB3bPnoyZ8+/UlrByvKQ70mKX4P+o4VXCq
 7P7VJ/jtvN3kwjCXkBAjeJouj3kW/xdZm15mKArvzHWuhW/O3oRTIsdwRP95TNhi+G9Thb
 L4+cdMlAU33fQVprupqiw0YquD3e9u68GgGV5gnxPj1LcHO7XqkJjo/rcbS2ARNAWKlkE/
 Uk26OmlZ5CpyTPVzwRRLUSgD5+LRUQSa4W9Xjj0ivDg+3K3GMgYEd/3cPuH/GQ==
Date: Wed, 15 Sep 2021 08:40:54 +0200
From: Lars-Dominik Braun <lars@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
Message-ID: <YUGVdtWS4uF82gVn@HIDDEN>
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN> <87a6kf5mpo.fsf@HIDDEN>
 <YUDIBgbIIUOgKZ96@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YUDIBgbIIUOgKZ96@HIDDEN>
X-Rspamd-Queue-Id: 1238F271
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50264
Cc: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, 50264 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Leo,

> I wonder if the problem began after the introduction of
> bordeaux.guix.gnu.org, and if everyone who experiences the bug is using
> both substitute servers.
I started the Guix daemon with only the CI substitute server enabled
explicitly, disabled local discovery, ran a `guix gc` and tried again. It
still fails with exactly the same issue.

Lars





Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 14 Sep 2021 16:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 12:04:33 2021
Received: from localhost ([127.0.0.1]:50007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQAvA-0003cZ-QY
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 12:04:33 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:59963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1mQAv8-0003cI-A6
 for 50264 <at> debbugs.gnu.org; Tue, 14 Sep 2021 12:04:30 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 2E8085C0251;
 Tue, 14 Sep 2021 12:04:25 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute6.internal (MEProxy); Tue, 14 Sep 2021 12:04:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=JyRkDDxSy281TaDbKm13ecRowZTjb/FK41Bd1iTDPNk=; b=hof0/McgBkrg
 kAxOhz7p84ARuTdfdXwn9qrFyxBBlX48l7GcmeQ3AVP78RXuHaDixUqTrhFNDAhC
 Owsml4HlWaqJW6EhRD7nd4yi902Yr7yRKrXy9yAdwrMtp5R5M/3FjdPtHBo9D8ke
 8cujcarkhCTpHpLhL+vdxqjC1QOafMU=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=JyRkDDxSy281TaDbKm13ecRowZTjb/FK41Bd1iTDP
 Nk=; b=c31wnDXt6+07Xv0H8eNGu5Gs/7n0LtLc5VupqtUmh1Z4Fi5oXdd130r7S
 NUQOP7dYLvPifwdMrzufPRxXYz6ToF0A7QuMDTEtJwgWoFqbx9vC/Zb3y0JLw+Rx
 cNNdRuyxv7AlcJXy0WhcjupQrWKLjLZNN2o5HWqjvOWmgjYMlLVYfegF0fE9ZHcJ
 mPZlIGRoOLCJGdrRmWVm/FtbqiDt0/C6ACc6sph0wB7N/sSPlVfen0Xfb3jFDjnV
 RKE/2GM76hCk6/wq0UETohaowIbDfJuUObiH5hPxkCQFk7X4ENEaBz5cUUsvnTRY
 uIhD7d16YRc8PUyykmEXuMK9TVTIw==
X-ME-Sender: <xms:CMhAYaAQCfmZEE-Tihdslucuje4SupGQOE7z_tp6rKwAG-tQnepEqw>
 <xme:CMhAYUjwQYkIC4kwJJYMM4E_WMHT1rTIKoFqH-rsL3F0x0r5AFPw-whqabmTOwUQm
 Ztw8uiTyHyR6ZeCDg>
X-ME-Received: <xmr:CMhAYdlWtJhW5bfkwP4LzAT7d3XHRXWkp9lHNskDGQPzeA9aLmdpi_9sewgHTut68DAAK7QLDM1g8d8Gg1-v80h3jntbqvY9DBH8rfNH8nsY>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudegledgleehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtugfgjgesthekredttddtjeenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepgfduffettedtkeekudfhgfefgfeifeegueeitedujeffleeiudeuieffgfdu
 gfdunecuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:CMhAYYxcv43GDMNw8pYylOxFH56YDB-JO6u2VXy8DW-ASqc2-nv2Wg>
 <xmx:CMhAYfTz8zwyW1gvTZ_elklyJLpxUJjukJqfbyo4YPkmgFMk6aBDnA>
 <xmx:CMhAYTaz4h7iJDTDGe8awTuFN5Jo3lv-WXohM9iK3pqvP9guz4Y69w>
 <xmx:CchAYWLtuI9-6KRf9N3Vvgsczi7C1lxJTQr9bqDP8eCvuX9fH1pcoQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 14 Sep 2021 12:04:23 -0400 (EDT)
Date: Tue, 14 Sep 2021 12:04:22 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
Message-ID: <YUDIBgbIIUOgKZ96@HIDDEN>
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN> <87a6kf5mpo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87a6kf5mpo.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org, Lars-Dominik Braun <lars@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Sep 14, 2021 at 03:08:19PM +0200, Ludovic Courtès wrote:
> Hi,
> 
> Lars-Dominik Braun <lars@HIDDEN> skribis:
> 
> > Failure:
> > /gnu/store/kxkxji6m101ylgpa82jmxvmy5szpvk1k-ca-certificate-bundle.drv
> > /gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder
> >
> > Success:
> > /gnu/store/rx6pqcpgwcyl6spfi8acgjzksrpqhac1-ca-certificate-bundle.drv
> > /gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder
> >
> > (Yes, exactly the same builder input hash. I double-checked.)
> 
> As discussed on IRC, I stumbled upon this bug while running:
> 
>   ./pre-inst-env guix system vm gnu/system/examples/desktop.tmpl
> 
> on commit 580984f2417853379d98ea927fd95c0f0fbe2c97.
> 
> The first attempt downloaded lots of substitutes and produced, as in
> your case, a broken ca-certificate-bundle.drv: the ‘-builder’ script is
> correct, but there are only ~80 derivation inputs instead of ~230.
> 
> The second run right after that produced the correct
> ca-certificate-bundle.drv: same ‘-builder’ script, but all the
> derivation inputs were there, including glibc-utf8-locales.drv.
> 
> I’ve tried to reproduce it running GC during or before the command, to
> no avail so far.  If someone has an easy and reliable way to reproduce
> it, please share!
> 
> I don’t have a good hypothesis so far as to where things go wrong…

I wonder if the problem began after the introduction of
bordeaux.guix.gnu.org, and if everyone who experiences the bug is using
both substitute servers.

I can't imagine what the actual problem is, but it does sound like the
dependency graph has somehow diverged...




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 14 Sep 2021 13:08:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 09:08:28 2021
Received: from localhost ([127.0.0.1]:47956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ8Am-0002dP-Ib
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:08:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQ8Ak-0002dD-V2
 for 50264 <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:08:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52366)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQ8Af-0003ZR-4e; Tue, 14 Sep 2021 09:08:21 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35614 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQ8Ae-0003eh-Ra; Tue, 14 Sep 2021 09:08:21 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
 <YTxV1A/jgENo1e0B@HIDDEN>
Date: Tue, 14 Sep 2021 15:08:19 +0200
In-Reply-To: <YTxV1A/jgENo1e0B@HIDDEN> (Lars-Dominik Braun's message
 of "Sat, 11 Sep 2021 09:08:04 +0200")
Message-ID: <87a6kf5mpo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Lars-Dominik Braun <lars@HIDDEN> skribis:

> Failure:
> /gnu/store/kxkxji6m101ylgpa82jmxvmy5szpvk1k-ca-certificate-bundle.drv
> /gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder
>
> Success:
> /gnu/store/rx6pqcpgwcyl6spfi8acgjzksrpqhac1-ca-certificate-bundle.drv
> /gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder
>
> (Yes, exactly the same builder input hash. I double-checked.)

As discussed on IRC, I stumbled upon this bug while running:

  ./pre-inst-env guix system vm gnu/system/examples/desktop.tmpl

on commit 580984f2417853379d98ea927fd95c0f0fbe2c97.

The first attempt downloaded lots of substitutes and produced, as in
your case, a broken ca-certificate-bundle.drv: the =E2=80=98-builder=E2=80=
=99 script is
correct, but there are only ~80 derivation inputs instead of ~230.

The second run right after that produced the correct
ca-certificate-bundle.drv: same =E2=80=98-builder=E2=80=99 script, but all =
the
derivation inputs were there, including glibc-utf8-locales.drv.

I=E2=80=99ve tried to reproduce it running GC during or before the command,=
 to
no avail so far.  If someone has an easy and reliable way to reproduce
it, please share!

I don=E2=80=99t have a good hypothesis so far as to where things go wrong=
=E2=80=A6

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 11 Sep 2021 07:08:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 11 03:08:26 2021
Received: from localhost ([127.0.0.1]:39485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOx7f-0006dB-Dy
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 03:08:26 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:50580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1mOx7a-0006cp-Js
 for 50264 <at> debbugs.gnu.org; Sat, 11 Sep 2021 03:08:21 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4H63jm1hPrzQjcN;
 Sat, 11 Sep 2021 09:08:12 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1631344089;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=l+5hNWWuW6w7FNfYxutWFA0l7UEptZp2OWANznq3hYk=;
 b=hSpT3h4q6zzFiRWLgxNz147h4HfHPyCfPuVXqcQLa9ZWWt9shxF5ZMe3GB0tOuuO9qZieY
 Au8bslMt7VKaPkzR6mON09Uw1lrbagADAs0r+YQxt9BTqjC9FcQUZy03ZhQwS+wbgaqL3d
 05ungpD4fKEWp8W1fhi17dgBz0FNgUmJPlMp6+EDhyH+rS3wHsO6KLyjXtqwTLhMBsspJN
 HzPgj7SdzDQ/S+yp9xYtTmzeJp/+oEeDvoqbYVfsHEm0tHvVG32NjL2Z0sWjcFW8qwHYtb
 Y29r92BTjzOo7UsGxP+WV2i69VcBGQHbmlSDmMIs+skOexyBxCOr674RCZhaCA==
Date: Sat, 11 Sep 2021 09:08:04 +0200
From: Lars-Dominik Braun <lars@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
Message-ID: <YTxV1A/jgENo1e0B@HIDDEN>
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="qbMSFek7Bj2wnDo8"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <871r5wct8c.fsf@HIDDEN>
X-Rspamd-Queue-Id: BB6931898
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)


--qbMSFek7Bj2wnDo8
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

Hi Ludo,

> Wait, you run the same command twice and it leads a different .drv?
yes, but only if I run `guix gc` before the first one, i.e. it’ll
build/downloads lots of packages before actually building the .drv.

> Could you send the contents of this “broken” ca-certificate-bundle.drv
> as well as the ca-certificate-bundle-builder it refers to?
This is with commit 8b2b027df9198cb5b22505813ada0c5e199929ed for the same
`guix pack` I mentioned earlier. I’m attaching:

Failure:
/gnu/store/kxkxji6m101ylgpa82jmxvmy5szpvk1k-ca-certificate-bundle.drv
/gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder

Success:
/gnu/store/rx6pqcpgwcyl6spfi8acgjzksrpqhac1-ca-certificate-bundle.drv
/gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder

(Yes, exactly the same builder input hash. I double-checked.)

Meanwhile a colleague of mine has seen the same problem during building a
`guix environment` too.

Cheers,
Lars


--qbMSFek7Bj2wnDo8
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="kxkxji6m101ylgpa82jmxvmy5szpvk1k-ca-certificate-bundle.drv"
Content-Transfer-Encoding: quoted-printable

Derive([("out","/gnu/store/2df7jsi5h7ckdzalccrv7fgxgq5mnp2b-ca-certificate-=
bundle","","")],[("/gnu/store/107rn94lvmjzsrakvd06bd93d47hyd2x-findutils-4.=
7.0.drv",["out"]),("/gnu/store/4kc352jqrgldjx5jkdv144kd6032bks8-python-send=
2trash-1.5.0.drv",["out"]),("/gnu/store/5ld8a3299gm11gi5phhzyh24l0p5jn3h-gu=
ile-3.0.2.drv",["out"]),("/gnu/store/69g8wmbi635kynqxgfnrkrlih7n7dw9x-pytho=
n-terminado-0.10.0.drv",["out"]),("/gnu/store/6v547balkz4s9n9qrnncawzk32i9z=
m55-python-twisted-19.7.0.drv",["out"]),("/gnu/store/8ic55yjz9vzlscwvi0cah6=
9rf3srg88c-module-import-compiled.drv",["out"]),("/gnu/store/97pdzby1i6ljr7=
19848df9j84v8diy5v-python-zope-interface-5.1.0.drv",["out"]),("/gnu/store/a=
dicmdfi4jrqg9kyndy12sgqh6rcw5c3-coreutils-8.32.drv",["out"]),("/gnu/store/c=
gqvxwlwvdybxlnj7j9a1nbyw98apnpw-python-ipython-genutils-0.1.0.drv",["out"])=
,("/gnu/store/dl99sx2bqksmmywk0pvxil3a1i6shykv-python-six-1.14.0.drv",["out=
"]),("/gnu/store/ib0ji4g0096qskdhgj6fdmlwyd18i0nh-python-prometheus-client-=
0.7.1.drv",["out"]),("/gnu/store/p3b21hd5ykwgfnbaqvvsmiglyqqc7m94-python-au=
tomat-20.2.0.drv",["out"]),("/gnu/store/pmxvg4xymw2mh4yxlzlbhbkri6bd9cdd-py=
thon-pyzmq-22.1.0.drv",["out"]),("/gnu/store/q899l6i4l0piy4v88l0s9csgl4w8b7=
xg-bash-5.0.16.drv",["out"]),("/gnu/store/qr3i59afbd5hrc4y5j9d23pgs7vm37zi-=
python-attrs-21.2.0.drv",["out"]),("/gnu/store/qxd9ngc6sbassv1wgyh557h6r6dc=
i4ry-python-idna-2.10.drv",["out"]),("/gnu/store/qybsdmi94cyh42kqjxa5aym4sf=
bx190j-python-pyhamcrest-1.9.0-0.25fdc5f.drv",["out"]),("/gnu/store/r61c3am=
7jikwgbqh7hmn0mrlq94l7hyd-python-traitlets-4.3.3.drv",["out"]),("/gnu/store=
/rsw5dcynczjm5dr2x324bngc3gvfykqz-python-tornado-6.1.drv",["out"]),("/gnu/s=
tore/sf249r9rsgj3xvnrwn728bs46pb9iia7-python-ptyprocess-0.5.2.drv",["out"])=
,("/gnu/store/sqrdm4hmyr8y9pn88b3ncm254cn7zn97-node-10.24.0.drv",["out"]),(=
"/gnu/store/vlhmdjkiwxrqzizalwvg8jn17j6mmm06-python-constantly-15.1.0.drv",=
["out"]),("/gnu/store/w9wc5939py5fp40mpd205yzifqx6zxv3-python-incremental-1=
7.5.0.drv",["out"]),("/gnu/store/yz94jmahv05p2gjwx5c57660dbn7nbiq-python-de=
corator-4.3.0.drv",["out"]),("/gnu/store/ziz5svq4vfm1l2x767k2ywb8svkwdw0s-p=
ython-hyperlink-19.0.0.drv",["out"])],["/gnu/store/wahy9p8985vbcibwwjk3p73h=
xh82f90v-ca-certificate-bundle-builder","/gnu/store/xv5ylv9hxvs1wraw375b5g9=
jwy57vs8p-module-import"],"x86_64-linux","/gnu/store/0m0vd873jp61lcm4xa3ljd=
gx381qa782-guile-3.0.2/bin/guile",["--no-auto-compile","-L","/gnu/store/xv5=
ylv9hxvs1wraw375b5g9jwy57vs8p-module-import","-C","/gnu/store/08da6i38fzn9g=
36gyq443k03f84nk8rk-module-import-compiled","/gnu/store/wahy9p8985vbcibwwjk=
3p73hxh82f90v-ca-certificate-bundle-builder"],[("allowSubstitutes","0"),("g=
uix properties","((type . profile-hook) (hook . ca-certificate-bundle))"),(=
"out","/gnu/store/2df7jsi5h7ckdzalccrv7fgxgq5mnp2b-ca-certificate-bundle"),=
("preferLocalBuild","1")])
--qbMSFek7Bj2wnDo8
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename=wahy9p8985vbcibwwjk3p73hxh82f90v-ca-certificate-bundle-builder
Content-Transfer-Encoding: quoted-printable

(begin (use-modules (guix build utils) (rnrs io ports) (srfi srfi-1) (srfi =
srfi-26) (ice-9 ftw) (ice-9 match)) (define (pem-file? file) (string-suffix=
? ".pem" file)) (define (ca-files top) (let ((cert-dir (string-append top "=
/etc/ssl/certs"))) (map (cut string-append cert-dir "/" <>) (or (scandir ce=
rt-dir pem-file?) (quote ()))))) (define (concatenate-files files result) "=
Make RESULT the concatenation of all of FILES." (define (dump file port) (d=
isplay (call-with-input-file file get-string-all) port) (newline port)) (ca=
ll-with-output-file result (lambda (port) (for-each (cut dump <> port) file=
s)))) (setenv "LOCPATH" (string-append "/gnu/store/rgydar9dfvflqqz2irgh7njj=
34amaxc6-glibc-utf8-locales-2.31" "/lib/locale/" "2.31")) (setlocale LC_ALL=
 "en_US.utf8") (match (append-map ca-files (quote ("/gnu/store/ldjj2564g6p4=
0pmckdcsfcvk1dvcis4a-python-jupyterlab-2.2.9" "/gnu/store/6z2ri6yzpagh5pc32=
m8gn95lzarxkims-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb83p9d=
5jjmzhk-python-markupsafe-1.1.1" "/gnu/store/0vimmi5w96d9yak29nrbj1saan2f8l=
23-python-jupyterlab-server-1.2.0" "/gnu/store/6z2ri6yzpagh5pc32m8gn95lzarx=
kims-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb83p9d5jjmzhk-pyt=
hon-markupsafe-1.1.1" "/gnu/store/qjmgcz28vbz1v5l1rhi2bp89wcv3r1dq-python-j=
son5-0.8.5" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy75vl9qva-python-jsonschema-=
3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/=
gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python-importlib-metadata-1.5.0"=
 "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-python-zipp-1.0.0" "/gnu/stor=
e/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-itertools-8.2.0" "/gnu/store=
/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsistent-0.16.0" "/gnu/store/hjm=
z8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/hjmz8ymac939ri=
bn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/n0k6ihi5jf85fi9qa4ga816zf=
qvjx487-python-notebook-6.3.0" "/gnu/store/4fcb3c12vs1bwkhjqavr9rzdlca4wdcq=
-python-argon2-cffi-20.1.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sfqp-py=
thon-cffi-1.14.4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-pycpa=
rser-2.20" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" =
"/gnu/store/0axv019lm73b6shvaqwg1ygis20x22j1-python-ipykernel-5.5.3" "/gnu/=
store/bxhhs9zz3sknmiqjig9ngqbqyi9l477v-python-ipython-7.9.0" "/gnu/store/kj=
6gf1f246rs2l5c0q44rx6xj9pfz9k3-python-backcall-0.2.0" "/gnu/store/spljigb5q=
hm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gnu/store/cgh5vflyz35k4z2690=
csfjgm3il5ndg9-python-prompt-toolkit-2.0.7" "/gnu/store/xjiplzqxr084ximm4wd=
hyx3wzf8nxvv0-python-wcwidth-0.1.8" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk=
2az3a-python-six-1.14.0" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q699x6-pytho=
n-pygments-2.7.4" "/gnu/store/pcsjrhrd65cp0zyk1hz9z99s97jr2i32-python-termi=
nado-0.10.0" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.=
1" "/gnu/store/42bcw9k9zv9z740zxirbq4qi1a832l6b-python-ptyprocess-0.5.2" "/=
gnu/store/7h9km0iicbi0l5d6n49slmgww29878c5-python-matplotlib-3.1.2" "/gnu/s=
tore/p96cj23yln0s45kj6zy4pvghdh1ppbrh-python-cycler-0.10.0" "/gnu/store/hjm=
z8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/dly7zp6i7wrrgz=
jf0pi0vbhi6hxhzkzp-python-kiwisolver-1.0.1" "/gnu/store/b33sq6r0vb9k3nhr3v0=
hyhcqj2mrpv8i-python-pyparsing-2.4.6" "/gnu/store/rnsld1138m2r6ds207l525yzf=
bsnl8dx-python-pygobject-3.34.0" "/gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkv=
q3-glib-2.62.6" "/gnu/store/k0aqiy7yx8n28dvm3f0a04ka5sd8y950-pcre-8.44" "/g=
nu/store/bw15z9kh9c65ycc2vbhl2izwfwfva7p1-libffi-3.3" "/gnu/store/a45p39mgq=
vfd8kjwibyr0q42k1mw7gmf-util-linux-2.35.1-lib" "/gnu/store/fnqxj5zkrz8kkgxl=
j014dr61f9viig53-libselinux-3.0" "/gnu/store/8nh0hbrr8iaz6qkwavcnzi0824f3xb=
68-libsepol-3.0" "/gnu/store/k0aqiy7yx8n28dvm3f0a04ka5sd8y950-pcre-8.44" "/=
gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/bw15z9k=
h9c65ycc2vbhl2izwfwfva7p1-libffi-3.3" "/gnu/store/b0i0jsal30z4xsfg9drk3ypfr=
1v76gy4-gobject-introspection-1.62.0" "/gnu/store/bw15z9kh9c65ycc2vbhl2izwf=
wfva7p1-libffi-3.3" "/gnu/store/sr0cmdzzqpqv7bi42acnlawbczdnx352-python-3.8=
=2E2-tk" "/gnu/store/747z33isnpcw3n4h2d5qz9dvzcrk49y5-python-dateutil-2.8.1=
" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/sto=
re/7xj2bh8c5drmgxzqd6mnnzn69cj95arn-python-numpy-1.17.3" "/gnu/store/47yn94=
k1yqm1nwdpccrym1x4ralalf2w-python-pillow-8.1.1" "/gnu/store/19yshim76656h8z=
w81fn8bc5ypvfav89-python-olefile-0.46" "/gnu/store/3f1fglk0f6jym9r0zfaf7vqj=
n6gx6js5-python-pytz-2021.1" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-p=
ython-six-1.14.0" "/gnu/store/wlvk9x1h6nrg8lvffjjzy54wsq35a0fi-python-pycai=
ro-1.19.1" "/gnu/store/ahbd7lri3sy96v2pjizzc11ax0815pcw-cairo-1.16.0" "/gnu=
/store/k6zs6zabhfybh6aphc4988wc2fsyk5hh-fontconfig-2.13.1" "/gnu/store/g7pz=
nwv07852px2c1bm5gkafiwnvblba-expat-2.4.1" "/gnu/store/j3f5hx6yvhlj3sapiipig=
kwg05b49nwn-freetype-2.10.4" "/gnu/store/3x2kak8abb6z2klch72kfff2qxzv00pj-l=
ibpng-1.6.37" "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/g=
nu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/a45p39mg=
qvfd8kjwibyr0q42k1mw7gmf-util-linux-2.35.1-lib" "/gnu/store/j3f5hx6yvhlj3sa=
piipigkwg05b49nwn-freetype-2.10.4" "/gnu/store/3x2kak8abb6z2klch72kfff2qxzv=
00pj-libpng-1.6.37" "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.1=
1" "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/33=
74zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6" "/gnu/store/k0aqiy7yx8n28dvm3f0=
a04ka5sd8y950-pcre-8.44" "/gnu/store/bw15z9kh9c65ycc2vbhl2izwfwfva7p1-libff=
i-3.3" "/gnu/store/a45p39mgqvfd8kjwibyr0q42k1mw7gmf-util-linux-2.35.1-lib" =
"/gnu/store/fnqxj5zkrz8kkgxlj014dr61f9viig53-libselinux-3.0" "/gnu/store/8n=
h0hbrr8iaz6qkwavcnzi0824f3xb68-libsepol-3.0" "/gnu/store/k0aqiy7yx8n28dvm3f=
0a04ka5sd8y950-pcre-8.44" "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib=
-1.2.11" "/gnu/store/3x2kak8abb6z2klch72kfff2qxzv00pj-libpng-1.6.37" "/gnu/=
store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/zm5x7j8vaaq=
r5nfrzi2ql96p5rgbj8sr-libx11-1.7.1A" "/gnu/store/wxl57nkbqgamfp73b7v62kk3f1=
hiv0cz-xorgproto-2019.2" "/gnu/store/lc8irxnwazq340ygkbqh0ask446jzy9k-util-=
macros-1.19.2" "/gnu/store/lv92cmzqjpb8mxygpqdvh0mkkkfi9vmz-libxcb-1.14" "/=
gnu/store/klk98l8czl05lvanrr7xl7a9hksac4ak-libpthread-stubs-0.4" "/gnu/stor=
e/h7sy4hr7arjknbyy1aq0xwv6fksnzw9n-libxau-1.0.9" "/gnu/store/wxl57nkbqgamfp=
73b7v62kk3f1hiv0cz-xorgproto-2019.2" "/gnu/store/lc8irxnwazq340ygkbqh0ask44=
6jzy9k-util-macros-1.19.2" "/gnu/store/6cdl970wcv4jhvpgbh8sdj54a5gwhmwj-lib=
xdmcp-1.1.3" "/gnu/store/yfv9bvcavfdlnv7arbrk492l7mw4ryl8-libxext-1.3.4" "/=
gnu/store/wxl57nkbqgamfp73b7v62kk3f1hiv0cz-xorgproto-2019.2" "/gnu/store/lc=
8irxnwazq340ygkbqh0ask446jzy9k-util-macros-1.19.2" "/gnu/store/5vblqnckq2v8=
n1sk5fs5aq2vr2z5vl65-libxrender-0.9.10" "/gnu/store/wxl57nkbqgamfp73b7v62kk=
3f1hiv0cz-xorgproto-2019.2" "/gnu/store/lc8irxnwazq340ygkbqh0ask446jzy9k-ut=
il-macros-1.19.2" "/gnu/store/xwl0p4m34bcan0v9vkjkyzwi6znsv4dm-pixman-0.38.=
4" "/gnu/store/k0jlkxl70yq20p42ixwyld0gsa9d2lip-python-cairocffi-1.2.0" "/g=
nu/store/8s2c7wm2zj1v1z007qwkd6j23x2ddyw6-python-xcffib-0.6.0" "/gnu/store/=
sfy8vc8da10appy093izjz4byzd7sfqp-python-cffi-1.14.4" "/gnu/store/k08j1silv8=
zxfglz3mb5q7ngmya9cv39-python-pycparser-2.20" "/gnu/store/hjmz8ymac939ribn7=
g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/7xj2bh8c5drmgxzqd6mnnzn69cj9=
5arn-python-numpy-1.17.3" "/gnu/store/sqi9by77fdn8kn02hngqy6gyjjmfs88q-pyth=
on-numpydoc-0.8.0" "/gnu/store/j35qfpqlk4pd3ppg530sqpmmcb276in6-python-sphi=
nx-3.3.1" "/gnu/store/0iif0s6c0nhp6pd8rmwziyafvhr1v1hh-python-babel-2.9.0" =
"/gnu/store/3f1fglk0f6jym9r0zfaf7vqjn6gx6js5-python-pytz-2021.1" "/gnu/stor=
e/1qz6j51mmn2z1za41fb9vs9dgmwisng3-python-docutils-0.16" "/gnu/store/6z2ri6=
yzpagh5pc32m8gn95lzarxkims-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq=
54scxb83p9d5jjmzhk-python-markupsafe-1.1.1" "/gnu/store/ibvr3izfm99bmxg6cbb=
2qyhrb23ablla-python-imagesize-1.2.0" "/gnu/store/5zfrihl2sg0svssmac0l06hyq=
6zjik8b-python-packaging-20.0" "/gnu/store/b33sq6r0vb9k3nhr3v0hyhcqj2mrpv8i=
-python-pyparsing-2.4.6" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-pytho=
n-six-1.14.0" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q699x6-python-pygments-=
2.7.4" "/gnu/store/kffam5lzshdhb0ygq0r76gqvavs0190c-python-requests-2.25.0"=
 "/gnu/store/2j54g0s8db1b10ggs4rirfb5vv8abm2y-python-certifi-2020.12.5" "/g=
nu/store/p5i7b4lv2bfvk0vzj98s9rxp65i57af8-python-chardet-3.0.4" "/gnu/store=
/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/fd7sx13lhrg=
brnsa5k3g8inas417p5q5-python-urllib3-1.26.4" "/gnu/store/2j54g0s8db1b10ggs4=
rirfb5vv8abm2y-python-certifi-2020.12.5" "/gnu/store/sjiiqs605sfsqxjdkcm3m8=
rx0ahv5wvv-python-cryptography-3.3.1" "/gnu/store/xkcc4372psi79xiidw4k33nmy=
f6mk36h-python-asn1crypto-1.4.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sf=
qp-python-cffi-1.14.4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-=
pycparser-2.20" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.1=
4.0" "/gnu/store/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/s=
tore/q01v2xjfcl7d020y3yh865695gm8i3gx-python-iso8601-0.1.13" "/gnu/store/ih=
l3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/wand0zrwwnds6x=
636746116cfh3sy50k-python-pyopenssl-20.0.0" "/gnu/store/sjiiqs605sfsqxjdkcm=
3m8rx0ahv5wvv-python-cryptography-3.3.1" "/gnu/store/xkcc4372psi79xiidw4k33=
nmyf6mk36h-python-asn1crypto-1.4.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd=
7sfqp-python-cffi-1.14.4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-pyth=
on-pycparser-2.20" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-=
1.14.0" "/gnu/store/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gn=
u/store/q01v2xjfcl7d020y3yh865695gm8i3gx-python-iso8601-0.1.13" "/gnu/store=
/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/xgsczafbfk=
mqmanm87nx2qfyzp4h313i-python-pysocks-1.7.1" "/gnu/store/i6wkshxcswdvfq9nyp=
6gldjcasnz3snr-python-snowballstemmer-2.0.0" "/gnu/store/4zs7yw2yl5km552xny=
1dg2ai1nn137wh-python-sphinx-alabaster-theme-0.7.12" "/gnu/store/i5wj23jngg=
vm7jb1q0bz3q3dm2q699x6-python-pygments-2.7.4" "/gnu/store/08i1lwmkzrp21sk2g=
llbndbkssjglpih-python-sphinxcontrib-applehelp-1.0.2" "/gnu/store/5h811myaa=
1xwx7ccxsbddi3frw58ybmw-python-sphinxcontrib-devhelp-1.0.2" "/gnu/store/n5z=
s7y1sj957fnf8pknvwlyj7i703pcf-python-sphinxcontrib-htmlhelp-1.0.3" "/gnu/st=
ore/wb47l1a7w2h1dpd6bfalcq17qzfclcf7-python-sphinxcontrib-jsmath-1.0.1" "/g=
nu/store/0q8410qkshkppigcw52jf8h31yzmvvf2-python-sphinxcontrib-qthelp-1.0.3=
" "/gnu/store/6lm3n9nlvycbr6cw2lw3m7r8afd6qprq-python-sphinxcontrib-seriali=
zinghtml-1.1.4" "/gnu/store/wcvgwl2i88z0q1m6wd5jghkiakvvp48m-python-jedi-0.=
17.2" "/gnu/store/nang62xzl922dpyscschfn9kvpmch1nd-python-parso-0.7.1" "/gn=
u/store/6z2ri6yzpagh5pc32m8gn95lzarxkims-python-jinja2-2.11.2" "/gnu/store/=
3d3qrjyb8k5ccq54scxb83p9d5jjmzhk-python-markupsafe-1.1.1" "/gnu/store/146vj=
ms0fx86iqr41j8aygb6g5agg0nz-python-mistune-0.8.4" "/gnu/store/8gwxkkhj7qwp8=
bmvk9p4v7xqbyrf68ck-python-pexpect-4.8.0" "/gnu/store/42bcw9k9zv9z740zxirbq=
4qi1a832l6b-python-ptyprocess-0.5.2" "/gnu/store/076mlydqavs07s9bphaqpawig4=
pfv1nl-python-pickleshare-0.7.5" "/gnu/store/n3za3bw1rkws7a259p2cba6lrbipgy=
0r-python-simplegeneric-0.8.1" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy75vl9qva=
-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf30f-pyth=
on-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python-import=
lib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-python-zip=
p-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-itertools=
-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsistent-0.16=
=2E0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu=
/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih0j=
scm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr=
7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfv=
chak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939rib=
n7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/3lh6bby9hzmc9a0k8g8z4lp3s6=
d1s1gc-python-nbformat-5.1.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-=
python-ipython-genutils-0.1.0" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy75vl9qva=
-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf30f-pyth=
on-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python-import=
lib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-python-zip=
p-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-itertools=
-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsistent-0.16=
=2E0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu=
/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/fi5c=
r127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4.7.1" "/gnu/store/ih0jscm=
3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac=
7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvcha=
k7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g=
3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhj=
fqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-py=
thon-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-p=
ython-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-=
six-1.14.0" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q699x6-python-pygments-2.=
7.4" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu=
/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store=
/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/stor=
e/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz=
8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/k2yqfvl8gpy5bcr=
0w2h1phz9kw8g40lm-python-jupyter-client-6.1.12" "/gnu/store/747z33isnpcw3n4=
h2d5qz9dvzcrk49y5-python-dateutil-2.8.1" "/gnu/store/hjmz8ymac939ribn7g3jkg=
ms4dk2az3a-python-six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-=
python-jupyter-core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-pyt=
hon-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ip=
ython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-d=
ecorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.1=
4.0" "/gnu/store/spljigb5qhm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gn=
u/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/store/ih=
0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rg=
wr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfs=
fvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939r=
ibn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/j622d5rgwr7ac7xbinbv9szv=
wlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/6z2ri6yzpagh5pc32m8gn95=
lzarxkims-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb83p9d5jjmzh=
k-python-markupsafe-1.1.1" "/gnu/store/k2yqfvl8gpy5bcr0w2h1phz9kw8g40lm-pyt=
hon-jupyter-client-6.1.12" "/gnu/store/747z33isnpcw3n4h2d5qz9dvzcrk49y5-pyt=
hon-dateutil-2.8.1" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six=
-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4=
=2E7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3=
" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.=
0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/g=
nu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/sp=
ljigb5qhm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gnu/store/f7bfv280nv7=
39dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/store/ih0jscm3ilqn2r33ms801=
4ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwln=
l95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jv=
bbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a=
-python-six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jup=
yter-core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitl=
ets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genu=
tils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4=
=2E3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/g=
nu/store/qh65kwcbpbjnlx21jdad0m90f09i9hy9-python-nbconvert-6.0.7" "/gnu/sto=
re/b16j0q70nlvs6zdlrl4gygan9rd4098m-python-bleach-3.1.5" "/gnu/store/f0yrgz=
f176va1j72f514bz9nbcq59mv7-python-webencodings-0.5.1" "/gnu/store/hjmz8ymac=
939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/bcjl0ljb2b3qrb4dydhd=
x8pzxymicig0-python-defusedxml-0.6.0" "/gnu/store/97xqi6rvmia4w850qbidlsb74=
1qr7ndy-python-entrypoints-0.3" "/gnu/store/6z2ri6yzpagh5pc32m8gn95lzarxkim=
s-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb83p9d5jjmzhk-python=
-markupsafe-1.1.1" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupy=
ter-core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitle=
ts-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genut=
ils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.=
3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/=
store/146vjms0fx86iqr41j8aygb6g5agg0nz-python-mistune-0.8.4" "/gnu/store/0p=
0ghgxvrwkjv0r5drvygiiyyv855x7i-python-nbclient-0.5.3" "/gnu/store/z27klvmpi=
p4j2ckn0gavlvfdalb0jxa5-python-async-generator-1.10" "/gnu/store/k2yqfvl8gp=
y5bcr0w2h1phz9kw8g40lm-python-jupyter-client-6.1.12" "/gnu/store/747z33isnp=
cw3n4h2d5qz9dvzcrk49y5-python-dateutil-2.8.1" "/gnu/store/hjmz8ymac939ribn7=
g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bw=
k8zf-python-jupyter-core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfq=
a-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-pyth=
on-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-pyt=
hon-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-si=
x-1.14.0" "/gnu/store/spljigb5qhm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0"=
 "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/sto=
re/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j62=
2d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/14=
8cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8yma=
c939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/3lh6bby9hzmc9a0k8g8=
z4lp3s6d1s1gc-python-nbformat-5.1.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwl=
nl95zd-python-ipython-genutils-0.1.0" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy7=
5vl9qva-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf3=
0f-python-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python=
-importlib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-pyt=
hon-zipp-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-it=
ertools-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsiste=
nt-0.16.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" =
"/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store=
/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4.7.1" "/gnu/store/ih=
0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rg=
wr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfs=
fvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939r=
ibn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih0jscm3ilqn2r33ms8014ap=
26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95=
zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh=
0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-py=
thon-six-1.14.0" "/gnu/store/vbx8dz3ck2vnfhlbwrf01h7ykxhllgms-python-nest-a=
syncio-1.5.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets=
-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutil=
s-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.=
0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/st=
ore/3lh6bby9hzmc9a0k8g8z4lp3s6d1s1gc-python-nbformat-5.1.3" "/gnu/store/j62=
2d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/wz=
0i5lsqw9r2n8vkq0lzp7hy75vl9qva-python-jsonschema-3.2.0" "/gnu/store/nalbzy7=
q91i7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7=
gqf6r5g5gl5qgb7s-python-importlib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvx=
ajilhq3qf2myin5l9cv-python-zipp-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk9=
1xmzfym3-python-more-itertools-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdib=
jl7s3i7-python-pyrsistent-0.16.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2a=
z3a-python-six-1.14.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-=
six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-cor=
e-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.=
3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1=
=2E0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" =
"/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store=
/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d=
5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148c=
nfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac9=
39ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/lavhs8ldcfc1l0jr3d0m5=
vgzqwmjczgm-python-pandocfilters-1.4.3" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3=
dm2q699x6-python-pygments-2.7.4" "/gnu/store/77irrqm2x9sg7wm8p18hpky9hj12fz=
0f-python-jupyterlab-pygments-0.1.2" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2=
q699x6-python-pygments-2.7.4" "/gnu/store/xh7v61g7y99nah0ai0i1nzg3aqrbz7ms-=
python-testpath-0.4.4" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-=
traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipytho=
n-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decor=
ator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0"=
 "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/sto=
re/3lh6bby9hzmc9a0k8g8z4lp3s6d1s1gc-python-nbformat-5.1.3" "/gnu/store/j622=
d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/wz0=
i5lsqw9r2n8vkq0lzp7hy75vl9qva-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q=
91i7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7g=
qf6r5g5gl5qgb7s-python-importlib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxa=
jilhq3qf2myin5l9cv-python-zipp-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91=
xmzfym3-python-more-itertools-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibj=
l7s3i7-python-pyrsistent-0.16.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az=
3a-python-six-1.14.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-s=
ix-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core=
-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3=
" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.=
0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/g=
nu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih=
0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rg=
wr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfs=
fvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939r=
ibn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/7xjmk0bmk1flvfrxk4mjj940=
b5lv9hy4-python-prometheus-client-0.7.1" "/gnu/store/7d0ajmlzarizjbqyz6vm8h=
5kbva1zhnp-python-twisted-19.7.0" "/gnu/store/cp1kgla30qll6v9d91a8znl85khh4=
mp4-python-zope-interface-5.1.0" "/gnu/store/cimn58pah7d4gp59h47qbv0d6hcxma=
d6-python-pyhamcrest-1.9.0-0.25fdc5f" "/gnu/store/hjmz8ymac939ribn7g3jkgms4=
dk2az3a-python-six-1.14.0" "/gnu/store/0ps51qyhd9ggh4sx7a8y5c7ci12c8918-pyt=
hon-incremental-17.5.0" "/gnu/store/3175qwyly6ddkln1lrjlvqxyhcvfxv1b-python=
-hyperlink-19.0.0" "/gnu/store/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna=
-2.10" "/gnu/store/kmwy92qnbsjz1i2cnkh7il73v7i93gn9-python-constantly-15.1.=
0" "/gnu/store/ykxgrljmapqznvq09xi5kz87bcly64m0-python-automat-20.2.0" "/gn=
u/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/nal=
bzy7q91i7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/gnu/store/spljigb5qhm7=
w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gnu/store/ycl9dgm6g87rmp7kykq3h=
81nfmd24b8f-python-send2trash-1.5.0" "/gnu/store/pcsjrhrd65cp0zyk1hz9z99s97=
jr2i32-python-terminado-0.10.0" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79=
q-python-tornado-6.1" "/gnu/store/42bcw9k9zv9z740zxirbq4qi1a832l6b-python-p=
typrocess-0.5.2" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornad=
o-6.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3"=
 "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0=
" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gn=
u/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/kff=
am5lzshdhb0ygq0r76gqvavs0190c-python-requests-2.25.0" "/gnu/store/2j54g0s8d=
b1b10ggs4rirfb5vv8abm2y-python-certifi-2020.12.5" "/gnu/store/p5i7b4lv2bfvk=
0vzj98s9rxp65i57af8-python-chardet-3.0.4" "/gnu/store/ihl3h0s000vlkvadxvv21=
cbn4fqzvmav-python-idna-2.10" "/gnu/store/fd7sx13lhrgbrnsa5k3g8inas417p5q5-=
python-urllib3-1.26.4" "/gnu/store/2j54g0s8db1b10ggs4rirfb5vv8abm2y-python-=
certifi-2020.12.5" "/gnu/store/sjiiqs605sfsqxjdkcm3m8rx0ahv5wvv-python-cryp=
tography-3.3.1" "/gnu/store/xkcc4372psi79xiidw4k33nmyf6mk36h-python-asn1cry=
pto-1.4.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sfqp-python-cffi-1.14.4"=
 "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-pycparser-2.20" "/gnu/=
store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ihl3h=
0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/q01v2xjfcl7d020y3=
yh865695gm8i3gx-python-iso8601-0.1.13" "/gnu/store/ihl3h0s000vlkvadxvv21cbn=
4fqzvmav-python-idna-2.10" "/gnu/store/wand0zrwwnds6x636746116cfh3sy50k-pyt=
hon-pyopenssl-20.0.0" "/gnu/store/sjiiqs605sfsqxjdkcm3m8rx0ahv5wvv-python-c=
ryptography-3.3.1" "/gnu/store/xkcc4372psi79xiidw4k33nmyf6mk36h-python-asn1=
crypto-1.4.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sfqp-python-cffi-1.14=
=2E4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-pycparser-2.20" "=
/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/=
ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/q01v2xjfcl7d=
020y3yh865695gm8i3gx-python-iso8601-0.1.13" "/gnu/store/hjmz8ymac939ribn7g3=
jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/xgsczafbfkmqmanm87nx2qfyzp4h31=
3i-python-pysocks-1.7.1" "/gnu/store/n0k6ihi5jf85fi9qa4ga816zfqvjx487-pytho=
n-notebook-6.3.0" "/gnu/store/4fcb3c12vs1bwkhjqavr9rzdlca4wdcq-python-argon=
2-cffi-20.1.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sfqp-python-cffi-1.1=
4.4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-pycparser-2.20" "/=
gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/0=
axv019lm73b6shvaqwg1ygis20x22j1-python-ipykernel-5.5.3" "/gnu/store/bxhhs9z=
z3sknmiqjig9ngqbqyi9l477v-python-ipython-7.9.0" "/gnu/store/kj6gf1f246rs2l5=
c0q44rx6xj9pfz9k3-python-backcall-0.2.0" "/gnu/store/spljigb5qhm7w9rjdrg0fm=
zzd9bw13nr-python-pyzmq-22.1.0" "/gnu/store/cgh5vflyz35k4z2690csfjgm3il5ndg=
9-python-prompt-toolkit-2.0.7" "/gnu/store/xjiplzqxr084ximm4wdhyx3wzf8nxvv0=
-python-wcwidth-0.1.8" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-=
six-1.14.0" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q699x6-python-pygments-2.=
7.4" "/gnu/store/pcsjrhrd65cp0zyk1hz9z99s97jr2i32-python-terminado-0.10.0" =
"/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/stor=
e/42bcw9k9zv9z740zxirbq4qi1a832l6b-python-ptyprocess-0.5.2" "/gnu/store/7h9=
km0iicbi0l5d6n49slmgww29878c5-python-matplotlib-3.1.2" "/gnu/store/p96cj23y=
ln0s45kj6zy4pvghdh1ppbrh-python-cycler-0.10.0" "/gnu/store/hjmz8ymac939ribn=
7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/dly7zp6i7wrrgzjf0pi0vbhi6hx=
hzkzp-python-kiwisolver-1.0.1" "/gnu/store/b33sq6r0vb9k3nhr3v0hyhcqj2mrpv8i=
-python-pyparsing-2.4.6" "/gnu/store/rnsld1138m2r6ds207l525yzfbsnl8dx-pytho=
n-pygobject-3.34.0" "/gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.=
6" "/gnu/store/k0aqiy7yx8n28dvm3f0a04ka5sd8y950-pcre-8.44" "/gnu/store/bw15=
z9kh9c65ycc2vbhl2izwfwfva7p1-libffi-3.3" "/gnu/store/a45p39mgqvfd8kjwibyr0q=
42k1mw7gmf-util-linux-2.35.1-lib" "/gnu/store/fnqxj5zkrz8kkgxlj014dr61f9vii=
g53-libselinux-3.0" "/gnu/store/8nh0hbrr8iaz6qkwavcnzi0824f3xb68-libsepol-3=
=2E0" "/gnu/store/k0aqiy7yx8n28dvm3f0a04ka5sd8y950-pcre-8.44" "/gnu/store/r=
ykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/bw15z9kh9c65ycc2vb=
hl2izwfwfva7p1-libffi-3.3" "/gnu/store/b0i0jsal30z4xsfg9drk3ypfr1v76gy4-gob=
ject-introspection-1.62.0" "/gnu/store/bw15z9kh9c65ycc2vbhl2izwfwfva7p1-lib=
ffi-3.3" "/gnu/store/sr0cmdzzqpqv7bi42acnlawbczdnx352-python-3.8.2-tk" "/gn=
u/store/747z33isnpcw3n4h2d5qz9dvzcrk49y5-python-dateutil-2.8.1" "/gnu/store=
/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/7xj2bh8c5d=
rmgxzqd6mnnzn69cj95arn-python-numpy-1.17.3" "/gnu/store/47yn94k1yqm1nwdpccr=
ym1x4ralalf2w-python-pillow-8.1.1" "/gnu/store/19yshim76656h8zw81fn8bc5ypvf=
av89-python-olefile-0.46" "/gnu/store/3f1fglk0f6jym9r0zfaf7vqjn6gx6js5-pyth=
on-pytz-2021.1" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.1=
4.0" "/gnu/store/wlvk9x1h6nrg8lvffjjzy54wsq35a0fi-python-pycairo-1.19.1" "/=
gnu/store/ahbd7lri3sy96v2pjizzc11ax0815pcw-cairo-1.16.0" "/gnu/store/k6zs6z=
abhfybh6aphc4988wc2fsyk5hh-fontconfig-2.13.1" "/gnu/store/g7pznwv07852px2c1=
bm5gkafiwnvblba-expat-2.4.1" "/gnu/store/j3f5hx6yvhlj3sapiipigkwg05b49nwn-f=
reetype-2.10.4" "/gnu/store/3x2kak8abb6z2klch72kfff2qxzv00pj-libpng-1.6.37"=
 "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/rykm=
237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/a45p39mgqvfd8kjwibyr0=
q42k1mw7gmf-util-linux-2.35.1-lib" "/gnu/store/j3f5hx6yvhlj3sapiipigkwg05b4=
9nwn-freetype-2.10.4" "/gnu/store/3x2kak8abb6z2klch72kfff2qxzv00pj-libpng-1=
=2E6.37" "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/st=
ore/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/3374zddwfb0m8=
711k2jrvhwr1s2fkvq3-glib-2.62.6" "/gnu/store/k0aqiy7yx8n28dvm3f0a04ka5sd8y9=
50-pcre-8.44" "/gnu/store/bw15z9kh9c65ycc2vbhl2izwfwfva7p1-libffi-3.3" "/gn=
u/store/a45p39mgqvfd8kjwibyr0q42k1mw7gmf-util-linux-2.35.1-lib" "/gnu/store=
/fnqxj5zkrz8kkgxlj014dr61f9viig53-libselinux-3.0" "/gnu/store/8nh0hbrr8iaz6=
qkwavcnzi0824f3xb68-libsepol-3.0" "/gnu/store/k0aqiy7yx8n28dvm3f0a04ka5sd8y=
950-pcre-8.44" "/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/=
gnu/store/3x2kak8abb6z2klch72kfff2qxzv00pj-libpng-1.6.37" "/gnu/store/rykm2=
37xkmq7rl1p0nwass01p090p88x-zlib-1.2.11" "/gnu/store/zm5x7j8vaaqr5nfrzi2ql9=
6p5rgbj8sr-libx11-1.7.1A" "/gnu/store/wxl57nkbqgamfp73b7v62kk3f1hiv0cz-xorg=
proto-2019.2" "/gnu/store/lc8irxnwazq340ygkbqh0ask446jzy9k-util-macros-1.19=
=2E2" "/gnu/store/lv92cmzqjpb8mxygpqdvh0mkkkfi9vmz-libxcb-1.14" "/gnu/store=
/klk98l8czl05lvanrr7xl7a9hksac4ak-libpthread-stubs-0.4" "/gnu/store/h7sy4hr=
7arjknbyy1aq0xwv6fksnzw9n-libxau-1.0.9" "/gnu/store/wxl57nkbqgamfp73b7v62kk=
3f1hiv0cz-xorgproto-2019.2" "/gnu/store/lc8irxnwazq340ygkbqh0ask446jzy9k-ut=
il-macros-1.19.2" "/gnu/store/6cdl970wcv4jhvpgbh8sdj54a5gwhmwj-libxdmcp-1.1=
=2E3" "/gnu/store/yfv9bvcavfdlnv7arbrk492l7mw4ryl8-libxext-1.3.4" "/gnu/sto=
re/wxl57nkbqgamfp73b7v62kk3f1hiv0cz-xorgproto-2019.2" "/gnu/store/lc8irxnwa=
zq340ygkbqh0ask446jzy9k-util-macros-1.19.2" "/gnu/store/5vblqnckq2v8n1sk5fs=
5aq2vr2z5vl65-libxrender-0.9.10" "/gnu/store/wxl57nkbqgamfp73b7v62kk3f1hiv0=
cz-xorgproto-2019.2" "/gnu/store/lc8irxnwazq340ygkbqh0ask446jzy9k-util-macr=
os-1.19.2" "/gnu/store/xwl0p4m34bcan0v9vkjkyzwi6znsv4dm-pixman-0.38.4" "/gn=
u/store/k0jlkxl70yq20p42ixwyld0gsa9d2lip-python-cairocffi-1.2.0" "/gnu/stor=
e/8s2c7wm2zj1v1z007qwkd6j23x2ddyw6-python-xcffib-0.6.0" "/gnu/store/sfy8vc8=
da10appy093izjz4byzd7sfqp-python-cffi-1.14.4" "/gnu/store/k08j1silv8zxfglz3=
mb5q7ngmya9cv39-python-pycparser-2.20" "/gnu/store/hjmz8ymac939ribn7g3jkgms=
4dk2az3a-python-six-1.14.0" "/gnu/store/7xj2bh8c5drmgxzqd6mnnzn69cj95arn-py=
thon-numpy-1.17.3" "/gnu/store/sqi9by77fdn8kn02hngqy6gyjjmfs88q-python-nump=
ydoc-0.8.0" "/gnu/store/j35qfpqlk4pd3ppg530sqpmmcb276in6-python-sphinx-3.3.=
1" "/gnu/store/0iif0s6c0nhp6pd8rmwziyafvhr1v1hh-python-babel-2.9.0" "/gnu/s=
tore/3f1fglk0f6jym9r0zfaf7vqjn6gx6js5-python-pytz-2021.1" "/gnu/store/1qz6j=
51mmn2z1za41fb9vs9dgmwisng3-python-docutils-0.16" "/gnu/store/6z2ri6yzpagh5=
pc32m8gn95lzarxkims-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb8=
3p9d5jjmzhk-python-markupsafe-1.1.1" "/gnu/store/ibvr3izfm99bmxg6cbb2qyhrb2=
3ablla-python-imagesize-1.2.0" "/gnu/store/5zfrihl2sg0svssmac0l06hyq6zjik8b=
-python-packaging-20.0" "/gnu/store/b33sq6r0vb9k3nhr3v0hyhcqj2mrpv8i-python=
-pyparsing-2.4.6" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1=
=2E14.0" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q699x6-python-pygments-2.7.4=
" "/gnu/store/kffam5lzshdhb0ygq0r76gqvavs0190c-python-requests-2.25.0" "/gn=
u/store/2j54g0s8db1b10ggs4rirfb5vv8abm2y-python-certifi-2020.12.5" "/gnu/st=
ore/p5i7b4lv2bfvk0vzj98s9rxp65i57af8-python-chardet-3.0.4" "/gnu/store/ihl3=
h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/fd7sx13lhrgbrnsa=
5k3g8inas417p5q5-python-urllib3-1.26.4" "/gnu/store/2j54g0s8db1b10ggs4rirfb=
5vv8abm2y-python-certifi-2020.12.5" "/gnu/store/sjiiqs605sfsqxjdkcm3m8rx0ah=
v5wvv-python-cryptography-3.3.1" "/gnu/store/xkcc4372psi79xiidw4k33nmyf6mk3=
6h-python-asn1crypto-1.4.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sfqp-py=
thon-cffi-1.14.4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-pycpa=
rser-2.20" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" =
"/gnu/store/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/=
q01v2xjfcl7d020y3yh865695gm8i3gx-python-iso8601-0.1.13" "/gnu/store/ihl3h0s=
000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/store/wand0zrwwnds6x63674=
6116cfh3sy50k-python-pyopenssl-20.0.0" "/gnu/store/sjiiqs605sfsqxjdkcm3m8rx=
0ahv5wvv-python-cryptography-3.3.1" "/gnu/store/xkcc4372psi79xiidw4k33nmyf6=
mk36h-python-asn1crypto-1.4.0" "/gnu/store/sfy8vc8da10appy093izjz4byzd7sfqp=
-python-cffi-1.14.4" "/gnu/store/k08j1silv8zxfglz3mb5q7ngmya9cv39-python-py=
cparser-2.20" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.=
0" "/gnu/store/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.10" "/gnu/sto=
re/q01v2xjfcl7d020y3yh865695gm8i3gx-python-iso8601-0.1.13" "/gnu/store/hjmz=
8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/xgsczafbfkmqman=
m87nx2qfyzp4h313i-python-pysocks-1.7.1" "/gnu/store/i6wkshxcswdvfq9nyp6gldj=
casnz3snr-python-snowballstemmer-2.0.0" "/gnu/store/4zs7yw2yl5km552xny1dg2a=
i1nn137wh-python-sphinx-alabaster-theme-0.7.12" "/gnu/store/i5wj23jnggvm7jb=
1q0bz3q3dm2q699x6-python-pygments-2.7.4" "/gnu/store/08i1lwmkzrp21sk2gllbnd=
bkssjglpih-python-sphinxcontrib-applehelp-1.0.2" "/gnu/store/5h811myaa1xwx7=
ccxsbddi3frw58ybmw-python-sphinxcontrib-devhelp-1.0.2" "/gnu/store/n5zs7y1s=
j957fnf8pknvwlyj7i703pcf-python-sphinxcontrib-htmlhelp-1.0.3" "/gnu/store/w=
b47l1a7w2h1dpd6bfalcq17qzfclcf7-python-sphinxcontrib-jsmath-1.0.1" "/gnu/st=
ore/0q8410qkshkppigcw52jf8h31yzmvvf2-python-sphinxcontrib-qthelp-1.0.3" "/g=
nu/store/6lm3n9nlvycbr6cw2lw3m7r8afd6qprq-python-sphinxcontrib-serializingh=
tml-1.1.4" "/gnu/store/wcvgwl2i88z0q1m6wd5jghkiakvvp48m-python-jedi-0.17.2"=
 "/gnu/store/nang62xzl922dpyscschfn9kvpmch1nd-python-parso-0.7.1" "/gnu/sto=
re/6z2ri6yzpagh5pc32m8gn95lzarxkims-python-jinja2-2.11.2" "/gnu/store/3d3qr=
jyb8k5ccq54scxb83p9d5jjmzhk-python-markupsafe-1.1.1" "/gnu/store/146vjms0fx=
86iqr41j8aygb6g5agg0nz-python-mistune-0.8.4" "/gnu/store/8gwxkkhj7qwp8bmvk9=
p4v7xqbyrf68ck-python-pexpect-4.8.0" "/gnu/store/42bcw9k9zv9z740zxirbq4qi1a=
832l6b-python-ptyprocess-0.5.2" "/gnu/store/076mlydqavs07s9bphaqpawig4pfv1n=
l-python-pickleshare-0.7.5" "/gnu/store/n3za3bw1rkws7a259p2cba6lrbipgy0r-py=
thon-simplegeneric-0.8.1" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy75vl9qva-pyth=
on-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf30f-python-at=
trs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python-importlib-m=
etadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-python-zipp-1.0=
=2E0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-itertools-8.=
2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsistent-0.16.0"=
 "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/stor=
e/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih0jscm3i=
lqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7x=
binbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7=
yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3j=
kgms4dk2az3a-python-six-1.14.0" "/gnu/store/3lh6bby9hzmc9a0k8g8z4lp3s6d1s1g=
c-python-nbformat-5.1.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-pytho=
n-ipython-genutils-0.1.0" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy75vl9qva-pyth=
on-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf30f-python-at=
trs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python-importlib-m=
etadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-python-zipp-1.0=
=2E0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-itertools-8.=
2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsistent-0.16.0"=
 "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/stor=
e/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/fi5cr127d=
i7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4.7.1" "/gnu/store/ih0jscm3ilqn=
2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbin=
bv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7ysp=
wf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgm=
s4dk2az3a-python-six-1.14.0" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-p=
ython-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-=
ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python=
-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1=
=2E14.0" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q699x6-python-pygments-2.7.4=
" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/st=
ore/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j6=
22d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/1=
48cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ym=
ac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/k2yqfvl8gpy5bcr0w2=
h1phz9kw8g40lm-python-jupyter-client-6.1.12" "/gnu/store/747z33isnpcw3n4h2d=
5qz9dvzcrk49y5-python-dateutil-2.8.1" "/gnu/store/hjmz8ymac939ribn7g3jkgms4=
dk2az3a-python-six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-pyt=
hon-jupyter-core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python=
-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipyth=
on-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-deco=
rator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0=
" "/gnu/store/spljigb5qhm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gnu/s=
tore/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/store/ih0js=
cm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7=
ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvc=
hak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn=
7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwln=
l95zd-python-ipython-genutils-0.1.0" "/gnu/store/6z2ri6yzpagh5pc32m8gn95lza=
rxkims-python-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb83p9d5jjmzhk-p=
ython-markupsafe-1.1.1" "/gnu/store/k2yqfvl8gpy5bcr0w2h1phz9kw8g40lm-python=
-jupyter-client-6.1.12" "/gnu/store/747z33isnpcw3n4h2d5qz9dvzcrk49y5-python=
-dateutil-2.8.1" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.=
14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4.7.=
1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/g=
nu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/=
gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/st=
ore/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/spljigb=
5qhm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gnu/store/f7bfv280nv739dw8=
8z239phpmsfjn79q-python-tornado-6.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26=
jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd=
-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0s=
y-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-pyth=
on-six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-=
core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4=
=2E3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutil=
s-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.=
0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/st=
ore/qh65kwcbpbjnlx21jdad0m90f09i9hy9-python-nbconvert-6.0.7" "/gnu/store/b1=
6j0q70nlvs6zdlrl4gygan9rd4098m-python-bleach-3.1.5" "/gnu/store/f0yrgzf176v=
a1j72f514bz9nbcq59mv7-python-webencodings-0.5.1" "/gnu/store/hjmz8ymac939ri=
bn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/bcjl0ljb2b3qrb4dydhdx8pzx=
ymicig0-python-defusedxml-0.6.0" "/gnu/store/97xqi6rvmia4w850qbidlsb741qr7n=
dy-python-entrypoints-0.3" "/gnu/store/6z2ri6yzpagh5pc32m8gn95lzarxkims-pyt=
hon-jinja2-2.11.2" "/gnu/store/3d3qrjyb8k5ccq54scxb83p9d5jjmzhk-python-mark=
upsafe-1.1.1" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-c=
ore-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.=
3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0=
=2E1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0=
" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/sto=
re/146vjms0fx86iqr41j8aygb6g5agg0nz-python-mistune-0.8.4" "/gnu/store/0p0gh=
gxvrwkjv0r5drvygiiyyv855x7i-python-nbclient-0.5.3" "/gnu/store/z27klvmpip4j=
2ckn0gavlvfdalb0jxa5-python-async-generator-1.10" "/gnu/store/k2yqfvl8gpy5b=
cr0w2h1phz9kw8g40lm-python-jupyter-client-6.1.12" "/gnu/store/747z33isnpcw3=
n4h2d5qz9dvzcrk49y5-python-dateutil-2.8.1" "/gnu/store/hjmz8ymac939ribn7g3j=
kgms4dk2az3a-python-six-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8z=
f-python-jupyter-core-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-p=
ython-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-=
ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python=
-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1=
=2E14.0" "/gnu/store/spljigb5qhm7w9rjdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" =
"/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/stor=
e/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622=
d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148=
cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac=
939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/3lh6bby9hzmc9a0k8g8z=
4lp3s6d1s1gc-python-nbformat-5.1.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwln=
l95zd-python-ipython-genutils-0.1.0" "/gnu/store/wz0i5lsqw9r2n8vkq0lzp7hy75=
vl9qva-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i7vzx970igcv84qcbdf30=
f-python-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6r5g5gl5qgb7s-python-=
importlib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajilhq3qf2myin5l9cv-pyth=
on-zipp-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmzfym3-python-more-ite=
rtools-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s3i7-python-pyrsisten=
t-0.16.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "=
/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/=
fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4.7.1" "/gnu/store/ih0=
jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgw=
r7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsf=
vchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ri=
bn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih0jscm3ilqn2r33ms8014ap2=
6jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95z=
d-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0=
sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-pyt=
hon-six-1.14.0" "/gnu/store/vbx8dz3ck2vnfhlbwrf01h7ykxhllgms-python-nest-as=
yncio-1.5.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-=
4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils=
-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0=
" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/sto=
re/3lh6bby9hzmc9a0k8g8z4lp3s6d1s1gc-python-nbformat-5.1.3" "/gnu/store/j622=
d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/wz0=
i5lsqw9r2n8vkq0lzp7hy75vl9qva-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q=
91i7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7g=
qf6r5g5gl5qgb7s-python-importlib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxa=
jilhq3qf2myin5l9cv-python-zipp-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91=
xmzfym3-python-more-itertools-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibj=
l7s3i7-python-pyrsistent-0.16.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az=
3a-python-six-1.14.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-s=
ix-1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core=
-4.7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3=
" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.=
0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/g=
nu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih=
0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rg=
wr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfs=
fvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939r=
ibn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/lavhs8ldcfc1l0jr3d0m5vgz=
qwmjczgm-python-pandocfilters-1.4.3" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2=
q699x6-python-pygments-2.7.4" "/gnu/store/77irrqm2x9sg7wm8p18hpky9hj12fz0f-=
python-jupyterlab-pygments-0.1.2" "/gnu/store/i5wj23jnggvm7jb1q0bz3q3dm2q69=
9x6-python-pygments-2.7.4" "/gnu/store/xh7v61g7y99nah0ai0i1nzg3aqrbz7ms-pyt=
hon-testpath-0.4.4" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-tra=
itlets-4.3.3" "/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-g=
enutils-0.1.0" "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorato=
r-4.3.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/=
gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/store/=
3lh6bby9hzmc9a0k8g8z4lp3s6d1s1gc-python-nbformat-5.1.3" "/gnu/store/j622d5r=
gwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/wz0i5l=
sqw9r2n8vkq0lzp7hy75vl9qva-python-jsonschema-3.2.0" "/gnu/store/nalbzy7q91i=
7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/gnu/store/gf93zvjlmnnr9vq7gqf6=
r5g5gl5qgb7s-python-importlib-metadata-1.5.0" "/gnu/store/fsr8dqg8irjvxajil=
hq3qf2myin5l9cv-python-zipp-1.0.0" "/gnu/store/bpbpmqwx2zvrw2h5k8c8fwk91xmz=
fym3-python-more-itertools-8.2.0" "/gnu/store/9nyy7g402s3rl650ackabfdibjl7s=
3i7-python-pyrsistent-0.16.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-=
python-six-1.14.0" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-=
1.14.0" "/gnu/store/fi5cr127di7crq5m4qvybqd1v5bwk8zf-python-jupyter-core-4.=
7.1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "=
/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" =
"/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/=
store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/ih0js=
cm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" "/gnu/store/j622d5rgwr7=
ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0" "/gnu/store/148cnfsfvc=
hak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu/store/hjmz8ymac939ribn=
7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/7xjmk0bmk1flvfrxk4mjj940b5l=
v9hy4-python-prometheus-client-0.7.1" "/gnu/store/7d0ajmlzarizjbqyz6vm8h5kb=
va1zhnp-python-twisted-19.7.0" "/gnu/store/cp1kgla30qll6v9d91a8znl85khh4mp4=
-python-zope-interface-5.1.0" "/gnu/store/cimn58pah7d4gp59h47qbv0d6hcxmad6-=
python-pyhamcrest-1.9.0-0.25fdc5f" "/gnu/store/hjmz8ymac939ribn7g3jkgms4dk2=
az3a-python-six-1.14.0" "/gnu/store/0ps51qyhd9ggh4sx7a8y5c7ci12c8918-python=
-incremental-17.5.0" "/gnu/store/3175qwyly6ddkln1lrjlvqxyhcvfxv1b-python-hy=
perlink-19.0.0" "/gnu/store/ihl3h0s000vlkvadxvv21cbn4fqzvmav-python-idna-2.=
10" "/gnu/store/kmwy92qnbsjz1i2cnkh7il73v7i93gn9-python-constantly-15.1.0" =
"/gnu/store/ykxgrljmapqznvq09xi5kz87bcly64m0-python-automat-20.2.0" "/gnu/s=
tore/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/nalbzy=
7q91i7vzx970igcv84qcbdf30f-python-attrs-21.2.0" "/gnu/store/spljigb5qhm7w9r=
jdrg0fmzzd9bw13nr-python-pyzmq-22.1.0" "/gnu/store/ycl9dgm6g87rmp7kykq3h81n=
fmd24b8f-python-send2trash-1.5.0" "/gnu/store/pcsjrhrd65cp0zyk1hz9z99s97jr2=
i32-python-terminado-0.10.0" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-p=
ython-tornado-6.1" "/gnu/store/42bcw9k9zv9z740zxirbq4qi1a832l6b-python-ptyp=
rocess-0.5.2" "/gnu/store/f7bfv280nv739dw88z239phpmsfjn79q-python-tornado-6=
=2E1" "/gnu/store/ih0jscm3ilqn2r33ms8014ap26jhjfqa-python-traitlets-4.3.3" =
"/gnu/store/j622d5rgwr7ac7xbinbv9szvwlnl95zd-python-ipython-genutils-0.1.0"=
 "/gnu/store/148cnfsfvchak7yspwf5s8y7jvbbh0sy-python-decorator-4.3.0" "/gnu=
/store/hjmz8ymac939ribn7g3jkgms4dk2az3a-python-six-1.14.0" "/gnu/store/f7bf=
v280nv739dw88z239phpmsfjn79q-python-tornado-6.1" "/gnu/store/a1c8y5qzjvxm17=
nin0vb0mmaxin9kgd0-node-10.24.0" "/gnu/store/87kif0bpf0anwbsaw0jvg8fyciw4sz=
67-bash-5.0.16" "/gnu/store/n8awazyldv9hbzb7pjcw76hiifmvrpvd-coreutils-8.32=
" "/gnu/store/jyxv85scwbplisx6xrwfr94k70m1ynhn-findutils-4.7.0"))) (() (mkd=
ir ((@ (guile) getenv) "out")) #t) ((ca-files ...) (let ((result (string-ap=
pend ((@ (guile) getenv) "out") "/etc/ssl/certs"))) (mkdir-p result) (conca=
tenate-files ca-files (string-append result "/ca-certificates.crt")) #t))))
--qbMSFek7Bj2wnDo8
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="rx6pqcpgwcyl6spfi8acgjzksrpqhac1-ca-certificate-bundle.drv"
Content-Transfer-Encoding: quoted-printable

Derive([("out","/gnu/store/q0yyj1idqvpaf4gnkaxxzgzcjlwdrmbd-ca-certificate-=
bundle","","")],[("/gnu/store/0pw46y8j4b05m58h1dzzpq57mvish1yl-python-iso86=
01-0.1.13.drv",["out"]),("/gnu/store/0v4nhqzvhbkpk25s0ns63jnxrzj3qnfy-glib-=
2.62.6.drv",["out"]),("/gnu/store/0waxc5fwc83l1d7bwb2axvkj2gaq1qy3-pcre-8.4=
4.drv",["out"]),("/gnu/store/107rn94lvmjzsrakvd06bd93d47hyd2x-findutils-4.7=
=2E0.drv",["out"]),("/gnu/store/1fq1d9liilxhyg5vjnrkvy85598pk2kg-libpthread=
-stubs-0.4.drv",["out"]),("/gnu/store/1mqpk2l4yckvmrcg581pjr77yc35w0r1-pyth=
on-ipython-7.9.0.drv",["out"]),("/gnu/store/222rrbv3pp1x9kvh8fgr6qfjkgw946a=
7-python-cryptography-3.3.1.drv",["out"]),("/gnu/store/2gq1c4phdayz3rq256zn=
m906iyj5s6qk-zlib-1.2.11.drv",["out"]),("/gnu/store/2rhlnqmqsh5sfyccc7w31nf=
4y4y8sr3r-python-matplotlib-3.1.2.drv",["out"]),("/gnu/store/3lds7ms60rh99d=
f5xaqvivw86yzf5l9m-python-asn1crypto-1.4.0.drv",["out"]),("/gnu/store/3n4yg=
vvs83k755pn5ls7ypjgsk89ql8l-expat-2.4.1.drv",["out"]),("/gnu/store/3p8ic99x=
g7qr1ij26cqm5isd4ni6lj0s-python-snowballstemmer-2.0.0.drv",["out"]),("/gnu/=
store/3rn2c5vnr713fjr4s6hs0asjxw6wp223-python-requests-2.25.0.drv",["out"])=
,("/gnu/store/3wwm601yggjaswsr6a52javy9cv220wi-python-sphinx-3.3.1.drv",["o=
ut"]),("/gnu/store/3znbcynn3zf60fwk8flr0bzwjajwy9wh-python-certifi-2020.12.=
5.drv",["out"]),("/gnu/store/442qg85l5vbcpg842lffsihzg0mz6mgi-python-prompt=
-toolkit-2.0.7.drv",["out"]),("/gnu/store/4kc352jqrgldjx5jkdv144kd6032bks8-=
python-send2trash-1.5.0.drv",["out"]),("/gnu/store/4n79jz5bpyb1rl6mpzhn15jz=
zllgdbgc-python-numpydoc-0.8.0.drv",["out"]),("/gnu/store/4rfpg4kz8cgkj8f6n=
yr58h0gmg79lj1l-python-notebook-6.3.0.drv",["out"]),("/gnu/store/4yx6fa09jf=
1ki596kybf9vh8dbf4ps79-libxext-1.3.4.drv",["out"]),("/gnu/store/52jkrn479v5=
svng49lchqza5hwk7p4va-python-imagesize-1.2.0.drv",["out"]),("/gnu/store/5jx=
fb8kb4q9yw4dlmgdjl2h0k1ka5qqz-python-3.8.2.drv",["tk"]),("/gnu/store/5ld8a3=
299gm11gi5phhzyh24l0p5jn3h-guile-3.0.2.drv",["out"]),("/gnu/store/642pwz554=
awyg94dh4w532klm2785sai-python-jinja2-2.11.2.drv",["out"]),("/gnu/store/69g=
8wmbi635kynqxgfnrkrlih7n7dw9x-python-terminado-0.10.0.drv",["out"]),("/gnu/=
store/6f6qrpsn18p6shskd3qkmlq07q6v3gz9-python-pycairo-1.19.1.drv",["out"]),=
("/gnu/store/6qpjqh31c604z55vrysk54w5qpmdzv06-python-defusedxml-0.6.0.drv",=
["out"]),("/gnu/store/6v547balkz4s9n9qrnncawzk32i9zm55-python-twisted-19.7.=
0.drv",["out"]),("/gnu/store/70ndcq03bx203wfdr7m4pcp7izjsla8a-python-pexpec=
t-4.8.0.drv",["out"]),("/gnu/store/7sm5g0h6h7qbyj4xmqmph4g9qi9xiilb-python-=
sphinxcontrib-applehelp-1.0.2.drv",["out"]),("/gnu/store/7swblhi8islybvkyk1=
7nrgvbxlnhvzih-python-importlib-metadata-1.5.0.drv",["out"]),("/gnu/store/8=
h24g9jkg22vr9n5k29zaydg2axlyiqz-python-pyrsistent-0.16.0.drv",["out"]),("/g=
nu/store/8ic55yjz9vzlscwvi0cah69rf3srg88c-module-import-compiled.drv",["out=
"]),("/gnu/store/8iyw2k10cqpvhbk0r78dbgv74vqaxppb-python-nbconvert-6.0.7.dr=
v",["out"]),("/gnu/store/8n5x3cvhpii62rvri9k5jqc62jqn9vzg-python-async-gene=
rator-1.10.drv",["out"]),("/gnu/store/90vlp0kbrscmn7rzkqqzr7rbb7hl1rm9-pyth=
on-markupsafe-1.1.1.drv",["out"]),("/gnu/store/978ywkidr8gbb5qfwl90x5d8mxc5=
8irm-python-cairocffi-1.2.0.drv",["out"]),("/gnu/store/97pdzby1i6ljr719848d=
f9j84v8diy5v-python-zope-interface-5.1.0.drv",["out"]),("/gnu/store/a7az22h=
p0bzpi3jaif5sqvwcsr2xn94x-python-sphinxcontrib-serializinghtml-1.1.4.drv",[=
"out"]),("/gnu/store/adicmdfi4jrqg9kyndy12sgqh6rcw5c3-coreutils-8.32.drv",[=
"out"]),("/gnu/store/ak98gqyzxhmbnmph830nigcrb8bwmaz7-python-pygobject-3.34=
=2E0.drv",["out"]),("/gnu/store/ay4i5sag1dkkybz0lmvg3qiyw1kmfgrh-python-nbf=
ormat-5.1.3.drv",["out"]),("/gnu/store/cff2j2blyy7mgfmb2dpk80ydkgrg98fb-uti=
l-macros-1.19.2.drv",["out"]),("/gnu/store/cgfwf5vx4wxq8zi1r7fdmlv9r917nhpk=
-libxcb-1.14.drv",["out"]),("/gnu/store/cgqvxwlwvdybxlnj7j9a1nbyw98apnpw-py=
thon-ipython-genutils-0.1.0.drv",["out"]),("/gnu/store/ch08ypaprlwjnfnl82yb=
rw2f9g0jy6pc-libffi-3.3.drv",["out"]),("/gnu/store/cmf0hwwm9f3n4sma5cdvzqd7=
rl3f73nh-python-xcffib-0.6.0.drv",["out"]),("/gnu/store/crjvc8mlsaappwc4k32=
6hj2cxl3vny8l-python-kiwisolver-1.0.1.drv",["out"]),("/gnu/store/dah4hpxfk6=
gczpgvyr58227c8xs9kcak-libselinux-3.0.drv",["out"]),("/gnu/store/dgnq1z30lj=
c3gcfjzkspry2pb5kkv22x-python-numpy-1.17.3.drv",["out"]),("/gnu/store/dl99s=
x2bqksmmywk0pvxil3a1i6shykv-python-six-1.14.0.drv",["out"]),("/gnu/store/dl=
y2ym1kbx8m4a43biszdanjfp0dbsj6-python-json5-0.8.5.drv",["out"]),("/gnu/stor=
e/dy611f11kpmw38mbg8c5zbn20lsaq8l3-python-ipykernel-5.5.3.drv",["out"]),("/=
gnu/store/fa46dizw9n3p20la1kqnpj0x4ayqrdq6-python-pycparser-2.20.drv",["out=
"]),("/gnu/store/fmlhpk4z8vrixxq5v9fg7zsc6w6vw0i6-python-backcall-0.2.0.drv=
",["out"]),("/gnu/store/fs10i25nac6250d1j89kfnmx2x5zqmrm-python-sphinxcontr=
ib-htmlhelp-1.0.3.drv",["out"]),("/gnu/store/g1xyfcqi0mga26b14w7c5fz8vfnxay=
l3-libxrender-0.9.10.drv",["out"]),("/gnu/store/gf8n7kca0bjp2qkv1z8s1b4w38z=
w53bc-cairo-1.16.0.drv",["out"]),("/gnu/store/gm35dbs1w7sgvd4lhvipyq79wviqp=
w40-python-cycler-0.10.0.drv",["out"]),("/gnu/store/gvw3vww6rc19z0iafq9ss14=
yirw8dbfb-python-cffi-1.14.4.drv",["out"]),("/gnu/store/h3kwh1vwynnmban6c0n=
2m4bswah58yh5-python-mistune-0.8.4.drv",["out"]),("/gnu/store/h87hgphx6jnfh=
ph21h886rh8kbajmpz1-python-zipp-1.0.0.drv",["out"]),("/gnu/store/hd9yhzx911=
d0mxkb0lgnyk0v4flcw543-python-pyparsing-2.4.6.drv",["out"]),("/gnu/store/hn=
v0wn9ys30dpldd1w18sjv64gc4rl6m-libxau-1.0.9.drv",["out"]),("/gnu/store/i2fa=
918idvqsp3h206xpkqhfn34rfdx8-python-testpath-0.4.4.drv",["out"]),("/gnu/sto=
re/i4m0kg16hwvqqb8z6cslnsq0dfmsrndq-python-pandocfilters-1.4.3.drv",["out"]=
),("/gnu/store/i86rpw6y6i7h6nq38y0aqq4awkw8ib98-python-pyopenssl-20.0.0.drv=
",["out"]),("/gnu/store/i8wpg79sgk385sana64b9chibdpbbsqd-python-sphinxcontr=
ib-devhelp-1.0.2.drv",["out"]),("/gnu/store/ib0ji4g0096qskdhgj6fdmlwyd18i0n=
h-python-prometheus-client-0.7.1.drv",["out"]),("/gnu/store/iikjiq2sb33i25l=
grkzjcywja3gl6fs5-python-docutils-0.16.drv",["out"]),("/gnu/store/ix31zcdw7=
h9hr5z61n5z84l4j99d2hjh-gobject-introspection-1.62.0.drv",["out"]),("/gnu/s=
tore/jskrmcik3i55xlgi8rbn13683ksfrk23-python-pygments-2.7.4.drv",["out"]),(=
"/gnu/store/jv95wsi5i34wn7c0brwzhv9wbz414il6-python-wcwidth-0.1.8.drv",["ou=
t"]),("/gnu/store/jv9d90h22572yc6ksihkmbn8d12plawx-python-jupyter-core-4.7.=
1.drv",["out"]),("/gnu/store/kgpf6mmz0rb12k92fmpggzp9mbcgyzfg-python-sphinx=
contrib-jsmath-1.0.1.drv",["out"]),("/gnu/store/kllhbk944sjis1bys3jw3x926s4=
4j6mh-python-more-itertools-8.2.0.drv",["out"]),("/gnu/store/kn4hh2b1jjc595=
m7y2nkl8cyfha96iif-python-webencodings-0.5.1.drv",["out"]),("/gnu/store/kvi=
5mxbgsa4nl6ypz96hpgsqikdlih2r-python-chardet-3.0.4.drv",["out"]),("/gnu/sto=
re/l3qfj6frnfiahdbbbz3q1n9m59dw5b00-python-pysocks-1.7.1.drv",["out"]),("/g=
nu/store/lf9717qdbp09xgq7qyh2f1yxm6xsa4qa-libxdmcp-1.1.3.drv",["out"]),("/g=
nu/store/m2v3cqiadb16w06pgnfz53rd7ram0rjz-python-jupyterlab-pygments-0.1.2.=
drv",["out"]),("/gnu/store/m7ds6860k00k41bxxmr0j6imia0livsy-python-entrypoi=
nts-0.3.drv",["out"]),("/gnu/store/mhrl3xwqkyl7kljzdgssm4svffjdfvwj-python-=
jupyterlab-server-1.2.0.drv",["out"]),("/gnu/store/ml1lbdrl13mwphg26iix3m1i=
w3y786gx-python-argon2-cffi-20.1.0.drv",["out"]),("/gnu/store/mwpzyjsl1ygfj=
5m5jrk8ayszh9c6s9ss-glibc-utf8-locales-2.31.drv",["out"]),("/gnu/store/n52f=
wq053prjbiwxi3gj32z5hkk0k7ck-libpng-1.6.37.drv",["out"]),("/gnu/store/n7q5a=
ag4rjl4qjb8g5x6ls9cdl8gfdvi-freetype-2.10.4.drv",["out"]),("/gnu/store/nijs=
pvs06apr7z6gqxmk57x2bbbzmmpw-python-babel-2.9.0.drv",["out"]),("/gnu/store/=
nlf7f69pgbprra30nv0bvznkn81cv98v-python-jsonschema-3.2.0.drv",["out"]),("/g=
nu/store/nlqgncxh2crmbvy5q1ikq565rqq8sdaa-python-jupyter-client-6.1.12.drv"=
,["out"]),("/gnu/store/p3b21hd5ykwgfnbaqvvsmiglyqqc7m94-python-automat-20.2=
=2E0.drv",["out"]),("/gnu/store/p45a94hj569pypmr1mxdpy8lqryf6wsh-python-pyt=
z-2021.1.drv",["out"]),("/gnu/store/pkm0nr0nk07qqbi8bwxr146ksj44j68g-python=
-sphinx-alabaster-theme-0.7.12.drv",["out"]),("/gnu/store/pmxvg4xymw2mh4yxl=
zlbhbkri6bd9cdd-python-pyzmq-22.1.0.drv",["out"]),("/gnu/store/ppp2ws8y9zk2=
09s2lbp36yanj3ndzp8h-python-simplegeneric-0.8.1.drv",["out"]),("/gnu/store/=
q3c8fs9irkkh5jdw5iv2hx2ng72sf3p4-pixman-0.38.4.drv",["out"]),("/gnu/store/q=
899l6i4l0piy4v88l0s9csgl4w8b7xg-bash-5.0.16.drv",["out"]),("/gnu/store/qpdx=
5vksa8pvwkvx4qh9ysj4ddvsd78b-xorgproto-2019.2.drv",["out"]),("/gnu/store/qr=
3i59afbd5hrc4y5j9d23pgs7vm37zi-python-attrs-21.2.0.drv",["out"]),("/gnu/sto=
re/qxd9ngc6sbassv1wgyh557h6r6dci4ry-python-idna-2.10.drv",["out"]),("/gnu/s=
tore/qybsdmi94cyh42kqjxa5aym4sfbx190j-python-pyhamcrest-1.9.0-0.25fdc5f.drv=
",["out"]),("/gnu/store/r61c3am7jikwgbqh7hmn0mrlq94l7hyd-python-traitlets-4=
=2E3.3.drv",["out"]),("/gnu/store/rjxhln0fjy9hqy0171cn8ldr0f3j8ssw-python-n=
bclient-0.5.3.drv",["out"]),("/gnu/store/rql9jg0sdb9i9n41w2n61zb8y3qssvib-p=
ython-dateutil-2.8.1.drv",["out"]),("/gnu/store/rsw5dcynczjm5dr2x324bngc3gv=
fykqz-python-tornado-6.1.drv",["out"]),("/gnu/store/rw3hzpmdw0rm8xv6rdfh7b0=
3cfrdysxk-python-sphinxcontrib-qthelp-1.0.3.drv",["out"]),("/gnu/store/sf24=
9r9rsgj3xvnrwn728bs46pb9iia7-python-ptyprocess-0.5.2.drv",["out"]),("/gnu/s=
tore/sqrdm4hmyr8y9pn88b3ncm254cn7zn97-node-10.24.0.drv",["out"]),("/gnu/sto=
re/v56nkpp3793564azy1b73321xhdyh3a4-python-jupyterlab-2.2.9.drv",["out"]),(=
"/gnu/store/v94xqx9fdna1029gr1zfn30c03wd4w1q-fontconfig-2.13.1.drv",["out"]=
),("/gnu/store/vfnhkiw0lv32vv0b4s2cnvqh1q0zr1zz-python-parso-0.7.1.drv",["o=
ut"]),("/gnu/store/vlhmdjkiwxrqzizalwvg8jn17j6mmm06-python-constantly-15.1.=
0.drv",["out"]),("/gnu/store/w7kcmdz2prf5lm6mnzmfmbwhvb03961g-python-packag=
ing-20.0.drv",["out"]),("/gnu/store/w9wc5939py5fp40mpd205yzifqx6zxv3-python=
-incremental-17.5.0.drv",["out"]),("/gnu/store/x3k64nd1l0z76bvylzja7i593wkv=
9qqa-libsepol-3.0.drv",["out"]),("/gnu/store/x9df1n63mjr8gb4mgqfvlaklial6f1=
7q-python-nest-asyncio-1.5.1.drv",["out"]),("/gnu/store/xdwahhgm7cnfixja8bh=
vaxdzx9zydf02-python-pillow-8.1.1.drv",["out"]),("/gnu/store/xf1srpz6450hri=
2qw5l8wv918m72nks4-util-linux-2.35.1.drv",["lib"]),("/gnu/store/xmnp0m5wvqn=
lx38awp9mwrg4hh79hvcv-python-bleach-3.1.5.drv",["out"]),("/gnu/store/y2wk90=
qcrklwn4isdby9mjbhnd3iq7c9-python-pickleshare-0.7.5.drv",["out"]),("/gnu/st=
ore/y6h5wzfpwv1pmak3cbinl83bnxacqvd5-libx11-1.7.1A.drv",["out"]),("/gnu/sto=
re/yf56vmf4wfkhqv2s4pkvm9mdidzkyr0g-python-jedi-0.17.2.drv",["out"]),("/gnu=
/store/yz94jmahv05p2gjwx5c57660dbn7nbiq-python-decorator-4.3.0.drv",["out"]=
),("/gnu/store/z6yh2zam07p1sx27a5zv4j830bsw94x1-python-urllib3-1.26.4.drv",=
["out"]),("/gnu/store/ziz5svq4vfm1l2x767k2ywb8svkwdw0s-python-hyperlink-19.=
0.0.drv",["out"]),("/gnu/store/zr5fm5n5fsaj0glshsv0szh3h2h96vr6-python-olef=
ile-0.46.drv",["out"])],["/gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-ca-ce=
rtificate-bundle-builder","/gnu/store/xv5ylv9hxvs1wraw375b5g9jwy57vs8p-modu=
le-import"],"x86_64-linux","/gnu/store/0m0vd873jp61lcm4xa3ljdgx381qa782-gui=
le-3.0.2/bin/guile",["--no-auto-compile","-L","/gnu/store/xv5ylv9hxvs1wraw3=
75b5g9jwy57vs8p-module-import","-C","/gnu/store/08da6i38fzn9g36gyq443k03f84=
nk8rk-module-import-compiled","/gnu/store/wahy9p8985vbcibwwjk3p73hxh82f90v-=
ca-certificate-bundle-builder"],[("allowSubstitutes","0"),("guix properties=
","((type . profile-hook) (hook . ca-certificate-bundle))"),("out","/gnu/st=
ore/q0yyj1idqvpaf4gnkaxxzgzcjlwdrmbd-ca-certificate-bundle"),("preferLocalB=
uild","1")])
--qbMSFek7Bj2wnDo8--




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 10 Sep 2021 16:17:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 12:17:12 2021
Received: from localhost ([127.0.0.1]:39039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOjDE-0005SD-Cn
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:17:12 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:60354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1mOjDC-0005Rs-NL
 for 50264 <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:17:11 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1mOjD3-0006bG-NP; Fri, 10 Sep 2021 12:17:01 -0400
Date: Fri, 10 Sep 2021 12:17:01 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: =?ISO-8859-15?Q?Ludovic_Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
In-Reply-To: <871r5wct8c.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.21.2109101214430.2109@HIDDEN>
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN> <871r5wct8c.fsf@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="925712948-808069948-1631290621=:2109"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org, Lars-Dominik Braun <lars@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--925712948-808069948-1631290621=:2109
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8BIT


On Fri, 10 Sep 2021, Ludovic Courtès wrote:

> Lars-Dominik Braun <lars@HIDDEN> skribis:
>
>> Alright, let’s see. The command I have been using is
>>
>>     guix pack -L . -C 'zstd' -f docker -S /bin=bin python-jupyterlab bash coreutils findutils
>>
>> with . being a checkout of guix-science (same applies to `guix
>> time-machine` though). The first time it’ll fail, but the second time
>> it succeeds.  Running `guix gc` makes it fail again the first time.
>>
>> The docker-pack.tar.zst.drv used for the first build is
>> different from the second one (different hash prefix). For me it’s
>> /gnu/store/r096cm3np7hbdn853ih35h1a5l39in4s-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv
>> the first time and
>> /gnu/store/dywspxjshfjhc07i17hkcyrlq8kn7m07-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv
>> the second time. YMMV.
>
> Wait, you run the same command twice and it leads a different .drv?
>
> The expected behavior is that the .drv is always the same:

Just to note that I've seen this two, where I get a different derivation 
the next time that works. Apologies for not reporting it at the time. It 
always seems to happen when I'm busy with something else, and since it's 
not reproducible… If I can get it to happen to me again, I'll collect more 
information as well.

Best,
Jack
--925712948-808069948-1631290621=:2109--




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 10 Sep 2021 16:04:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 12:04:31 2021
Received: from localhost ([127.0.0.1]:39022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOj0x-00057Q-EA
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:04:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mOj0v-00057C-K5
 for 50264 <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:04:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50406)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mOj0p-0007Zi-9e; Fri, 10 Sep 2021 12:04:23 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=47230 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mOj0o-0002ri-VX; Fri, 10 Sep 2021 12:04:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
References: <YSyS7X1RvagkJdl0@HIDDEN> <87bl58z4pa.fsf@HIDDEN>
 <YTX6DbqJYRcGcxpU@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 Fructidor an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 10 Sep 2021 18:04:19 +0200
In-Reply-To: <YTX6DbqJYRcGcxpU@HIDDEN> (Lars-Dominik Braun's message
 of "Mon, 6 Sep 2021 13:22:53 +0200")
Message-ID: <871r5wct8c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Lars-Dominik Braun <lars@HIDDEN> skribis:

> Alright, let=E2=80=99s see. The command I have been using is
>
>     guix pack -L . -C 'zstd' -f docker -S /bin=3Dbin python-jupyterlab ba=
sh coreutils findutils
>
> with . being a checkout of guix-science (same applies to `guix
> time-machine` though). The first time it=E2=80=99ll fail, but the second =
time
> it succeeds.  Running `guix gc` makes it fail again the first time.
>
> The docker-pack.tar.zst.drv used for the first build is
> different from the second one (different hash prefix). For me it=E2=80=99s
> /gnu/store/r096cm3np7hbdn853ih35h1a5l39in4s-python-jupyterlab-bash-coreut=
ils-docker-pack.tar.zst.drv
> the first time and
> /gnu/store/dywspxjshfjhc07i17hkcyrlq8kn7m07-python-jupyterlab-bash-coreut=
ils-docker-pack.tar.zst.drv
> the second time. YMMV.

Wait, you run the same command twice and it leads a different .drv?

The expected behavior is that the .drv is always the same:

--8<---------------cut here---------------start------------->8---
$ guix pack -C zstd -f docker bash coreutils findutils -d
/gnu/store/gqq2802zy9r6xgb7l5p5smxkwh886x7b-bash-coreutils-findutils-docker=
-pack.tar.zst.drv
$ guix pack -C zstd -f docker bash coreutils findutils -d
/gnu/store/gqq2802zy9r6xgb7l5p5smxkwh886x7b-bash-coreutils-findutils-docker=
-pack.tar.zst.drv
$ guix pack -C zstd -f docker bash coreutils findutils -d
/gnu/store/gqq2802zy9r6xgb7l5p5smxkwh886x7b-bash-coreutils-findutils-docker=
-pack.tar.zst.drv
$ guix pack -L /data/src/guix-science -C zstd -f docker python-jupyterlab b=
ash coreutils findutils -d --no-grafts
/gnu/store/xzp0qrd54sglhrggwn8myl7fd0mfhwln-python-jupyterlab-bash-coreutil=
s-docker-pack.tar.zst.drv
$ guix pack -L /data/src/guix-science -C zstd -f docker python-jupyterlab b=
ash coreutils findutils -d --no-grafts
/gnu/store/xzp0qrd54sglhrggwn8myl7fd0mfhwln-python-jupyterlab-bash-coreutil=
s-docker-pack.tar.zst.drv
$ guix pack -L /data/src/guix-science -C zstd -f docker python-jupyterlab b=
ash coreutils findutils -d --no-grafts
/gnu/store/xzp0qrd54sglhrggwn8myl7fd0mfhwln-python-jupyterlab-bash-coreutil=
s-docker-pack.tar.zst.drv
--8<---------------cut here---------------end--------------->8---

> Looking at ca-certificate-bundle.drv, the first one lacks any form of
> glibc-utf8-locales as an input (neither in the .drv, nor via `guix gc
> --references <.drv> | grep glibc-`), so it=E2=80=99s clear it must fail. =
I=E2=80=99m
> not quite sure why though, since the actual builder still has a reference
> to the locales and sets LOCPATH. So I=E2=80=99m a little puzzled.

Could you send the contents of this =E2=80=9Cbroken=E2=80=9D ca-certificate=
-bundle.drv
as well as the ca-certificate-bundle-builder it refers to?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 10 Sep 2021 12:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 08:01:12 2021
Received: from localhost ([127.0.0.1]:37143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOfDU-0004lx-Hm
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 08:01:12 -0400
Received: from mail-il1-f174.google.com ([209.85.166.174]:44920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vladilen.kozin@HIDDEN>) id 1mOedn-0007q1-It
 for 50264 <at> debbugs.gnu.org; Fri, 10 Sep 2021 07:24:19 -0400
Received: by mail-il1-f174.google.com with SMTP id b4so1629155ilr.11
 for <50264 <at> debbugs.gnu.org>; Fri, 10 Sep 2021 04:24:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=C70u1jKHPKoOMCZ3/vNNQXMOmW7Ez8+0bCyMbQxXoWg=;
 b=QQ06L/TgpdnIi+g+O3dSDsuE0gPg5VP3yNBnOWAVIlXyFVMqiEKQ0KloIjXb4weSmx
 bjmEstLZBVtqfjghWQg4dUpRp937FHjsvLvreOQWbJe7xzf7XBvybmDotOCWW3PMMJ/Y
 O98Q9HXwXQz0+RF1WrttJIqdaEahoJWfX3zOQysmPX8KdLxK6y24qUOF1CDsqKonqt7H
 w99zxojKmLg1YTfTHMdum9m+Q8OwSUxcg02czPMF8lB98Z01i+ohDFPk8y0ZGSgWDqlv
 15L37IYY5oHhF93Pximc/aVIlfAiTm8EmT3k7AV4+uWqxqNGE5tYsMDiCbZQoFqtUK4s
 +nVg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=C70u1jKHPKoOMCZ3/vNNQXMOmW7Ez8+0bCyMbQxXoWg=;
 b=uKQEph6K5JYRXJtcM0sy/7NnkH6Yi3TZd5426e8DPtqfuKxLRLDaR23ojIheQMaXCj
 d+iFlcw6lM83167eW7UCyz49y1Rjdiks00ixSKH0MzxxZv+/yd5tnjfNw/xiy/1noJdJ
 BQVF3fo2JsByD5LCZSQ+fWIFVgPeAMyuTNa5AF1EUM+CkIOuXsxSUk45YJv/CdjEQvWH
 j3qWKRPcNUw6CquVytRrH4qcwfA1RV2kg1ajWaScgyZD9N6WJCdqeS3GMPxn2exqhmr9
 smnOJUxch5fkoXn/WSUx+vkEdDkWq/EqIjsd10X/XeCrRZzftnax8GX5lX/T1KZ53FWj
 gBcg==
X-Gm-Message-State: AOAM533B0kNDFnHyIa7JS4LdWe6NOARbVRyf4MmrX2OmXBZDhBzpH2Qu
 3Q2a5xtJyZEq+mttJTNeTTfrHayBMNPz+4fOXR4kCubG
X-Google-Smtp-Source: ABdhPJxwJLcCMddMOeScpDKEKC6GhaCQN3ulCTNu2suJgF97deQL+PPN1F/ETaK1SYFadhopScvyaMTaYbWySrL/7KA=
X-Received: by 2002:a92:130a:: with SMTP id 10mr5787087ilt.186.1631273053806; 
 Fri, 10 Sep 2021 04:24:13 -0700 (PDT)
MIME-Version: 1.0
From: Vladilen Kozin <vladilen.kozin@HIDDEN>
Date: Fri, 10 Sep 2021 12:24:03 +0100
Message-ID: <CACw=CXO8wvMDwrojer2aRRd+1rHARR-1To28WrOjpfHQa9PbTg@HIDDEN>
Subject: Re: ca-certificate-bundle fails to build
To: 50264 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000e7638205cba25a23"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50264
X-Mailman-Approved-At: Fri, 10 Sep 2021 08:01:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e7638205cba25a23
Content-Type: text/plain; charset="UTF-8"

Exact same issue trying to update my Guix Laptop.
guix pull - runs fine
sudo guix reconfigure - fails

fails to build ca-bundle with the above mentioned "invalid argument in
setlocale" error
-- 
Best regards
Vlad Kozin

--000000000000e7638205cba25a23
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Exact same issue trying to update my Guix Laptop.<div>guix=
 pull - runs fine</div><div>sudo guix reconfigure - fails</div><div><br></d=
iv><div>fails to build ca-bundle with the above mentioned &quot;invalid arg=
ument in setlocale&quot; error<br>-- <br><div dir=3D"ltr" class=3D"gmail_si=
gnature" data-smartmail=3D"gmail_signature">Best regards<br>Vlad Kozin</div=
></div></div>

--000000000000e7638205cba25a23--




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 6 Sep 2021 23:29:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 19:29:41 2021
Received: from localhost ([127.0.0.1]:54745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNO3Z-0002Dj-JD
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 19:29:41 -0400
Received: from tilde.team ([198.50.210.248]:48238 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bdju@HIDDEN>) id 1mNO3Y-0002DZ-3F
 for 50264 <at> debbugs.gnu.org; Mon, 06 Sep 2021 19:29:41 -0400
Received: from localhost (unknown [63.228.59.248])
 by tilde.team (Postfix) with ESMTPSA id 091C54C0BEA;
 Mon,  6 Sep 2021 23:29:38 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=tilde.team; s=mail;
 t=1630970979; bh=3bgoSRGvErziiRXwBsPpYPKvK8Qq4u8mhxQNQzGIQ1U=;
 h=Subject:From:To:Date:In-Reply-To:From;
 b=ZPE3jRmnuBAiAiidYk3wAtF5063RBht6qOVghDpNM7xEsoIYYdlMnnKze2gvrxx1i
 xtTedbJHABovWaffw57/L+41SQtvhzXaJS29cPq3wO1g5475BU8yk1519PU6CSzuaA
 6jX2CU/A8jodKW6fuN7meMzWGQdwC8ftVa01nlSQ=
Mime-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Subject: Re: bug#50264: ca-certificate-bundle fails to build
From: "bdju" <bdju@HIDDEN>
To: "Kyle Andrews" <kyle.c.andrews@HIDDEN>, <50264 <at> debbugs.gnu.org>
Date: Mon, 06 Sep 2021 18:29:07 -0500
Message-Id: <CE36Y5L14MRO.1NT810ITUV530@masaki>
In-Reply-To: <87y289ffyt.fsf@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50264
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon Sep 6, 2021 at 6:18 PM CDT, Kyle Andrews wrote:
>
> For what it's worth, this same thing just happened to me when updating
> my profile on my laptop. The first time it failed exactly as described,
> and the second time it worked.
>
> Kyle
I've also hit this twice in the last couple weeks. I just ran the
updates again and they worked both times.




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 6 Sep 2021 23:21:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 19:21:22 2021
Received: from localhost ([127.0.0.1]:54741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNNvV-00022E-QH
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 19:21:21 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:43996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle.c.andrews@HIDDEN>) id 1mNNvU-000222-UA
 for 50264 <at> debbugs.gnu.org; Mon, 06 Sep 2021 19:21:21 -0400
Received: by mail-qv1-f51.google.com with SMTP id z2so4751313qvl.10
 for <50264 <at> debbugs.gnu.org>; Mon, 06 Sep 2021 16:21:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=8aXP4ml55hs0b6sfdOhdEMXeoIRJ5rh6xUWw+e1+yas=;
 b=O6Xo5tHk2kzF8LwUxZg16u3cdcLHxhOpejEiCMrjyXBK5jQh5hxKNALIQyl6NNjxRN
 hHdRzD3GCVRC5Ygrphsw18x0NJnlXWtYS1YBz/B3hj9MujTXG3jYBpOg5ONOKNgpvF/O
 bxF3UlRI9MAulMqcNlJ2xnagMbz3SbXWqvLbkrzUCjZGHPjgZt3Evh12MBGCwpN4Vj1E
 a8JR8lgrMk6WOgJM/Eu4iqSvA2CG86srvYad8sWE9jRrbMkclVlcMXRv5XZaqh65R6Se
 QBUGyxIvMiEQN9boH6wO9uvRiJcb7MPKofCNPmtRrVZki5GnNKS5elar2vJbKIbhhCE0
 bIQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=8aXP4ml55hs0b6sfdOhdEMXeoIRJ5rh6xUWw+e1+yas=;
 b=lLRHAgBIO2JCKnoQsAt5PcFvTgytSYor+rYGdE1FD/YK4Zn5wBFdVJIoFyjmWtkf/7
 NlTop3Vtu6t5hVv41Pr5vdswS+N6vEoeaEBeU+e4QKmli7MSt3eO+auo+Q/glGJ+6m1d
 oVTwaJHq+3F1X1HO7tCzZFerbN8K6ddlps7ti6sTrfx49xRoE4IJWk29TAcke/uCyOIh
 lgKrdGvfWLedRF2IJKmwJ+0GT4Vb/zCwJWtWeo5KYedT95/lGlizex2WYLFBz13elTuH
 yBRCkHyWPXKzoJQ9SJGCiVCOZVXVJPrtECOpWzTIBOx3kGbcvmxf/unHfGY6wFG6R5g8
 sT6w==
X-Gm-Message-State: AOAM530/vKn9RvozxIU8FcjXuEeHNMghHgU3nDa0UyOR9WxbUelNyu2l
 cNxIb2HYuc/B5YTreyKyLpES21AY5jI=
X-Google-Smtp-Source: ABdhPJyzDP6B/L1Cs62/vta3UqPNzlOs19pX9QjOt33VYdB6MpF/JX9RBcXQ8jH+W0fo4B3Zy/okng==
X-Received: by 2002:ad4:522c:: with SMTP id r12mr14240893qvq.17.1630970475408; 
 Mon, 06 Sep 2021 16:21:15 -0700 (PDT)
Received: from x1 ([2600:8806:607:aa00::13d2])
 by smtp.gmail.com with ESMTPSA id f20sm7452222qka.64.2021.09.06.16.21.14
 for <50264 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 06 Sep 2021 16:21:15 -0700 (PDT)
User-agent: mu4e 1.6.5; emacs 27.2
From: Kyle Andrews <kyle.c.andrews@HIDDEN>
To: 50264 <at> debbugs.gnu.org
Subject: Re: ca-certificate-bundle fails to build
Date: Mon, 06 Sep 2021 19:18:59 -0400
Message-ID: <87y289ffyt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50264
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


For what it's worth, this same thing just happened to me when updating
my profile on my laptop. The first time it failed exactly as described,
and the second time it worked.

Kyle




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 6 Sep 2021 11:23:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 07:23:08 2021
Received: from localhost ([127.0.0.1]:52174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNCiS-00020X-50
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:23:08 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:15142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1mNCiQ-0001zf-Ni
 for 50264 <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:23:07 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4H35c50TvxzQkBb;
 Mon,  6 Sep 2021 13:23:01 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1630927379;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=DpOOiJDNuHxU3/NkAHvDCocBn3D/zoW67p3LDzuo+8A=;
 b=OQGwzKo1iTQfkrRSF7F8Lu63jfvEMWOn6MmbidUBlmqYJIOVABLO6uQOpxJj4RMRNw3JFo
 +zEmAwzRomDhS6YI0WLkpxq6/xZfreaGCRMM3Qe/ae/UZFUS/Wb6eIW+NHQFuCXbZ9NPiL
 7x5gv5m17jduFo4e+tM+A3yD6TV/NRwGfXe/KIemNTAKRGUPkFfSxNUvw9TJmWXwjDYkUZ
 1LmMvfDVwAO52K3tfc5NmLxgVTN9T0qZ6MPcgyC+07uU8/Wl1CBhgANwU3/DHxb5JUcKY+
 9mg6dN3eOnkpmyf87vyS7shL40QhBTcHpPrCh/uH1/gEMa05GWb5aL0FtHT5Zw==
Date: Mon, 6 Sep 2021 13:22:53 +0200
From: Lars-Dominik Braun <lars@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
Message-ID: <YTX6DbqJYRcGcxpU@HIDDEN>
References: <YSyS7X1RvagkJdl0@HIDDEN>
 <87bl58z4pa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87bl58z4pa.fsf@HIDDEN>
X-Rspamd-Queue-Id: 1805618B0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Ludo,

thanks for looking into this!

> Is this the backtrace found in the build log (under /var/log/guix/drvs)?
Yes, it is printed on stdout, as well as part of the build log.

> I tried and failed to reproduce it like this:
> 
> --8<---------------cut here---------------start------------->8---
> $ guix environment --ad-hoc nss-certs -n
> La jena derivo estus konstruata:
>    /gnu/store/i5s8jqzl52j38qmwqghjyp0v8p7dnlgd-profile.drv
> 
> $ guix gc -R /gnu/store/i5s8jqzl52j38qmwqghjyp0v8p7dnlgd-profile.drv |grep certificate
> /gnu/store/n63a6h3dfhwnaas9pg35zk78qjhxbas9-cmake-curl-certificates.patch
> /gnu/store/c8czsp9prfd73wvnyh595h0riqcllfqp-ca-certificate-bundle-builder
> /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
> $ guix build --rounds=10 /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
> …
> --8<---------------cut here---------------end--------------->8---
> 
> Could you find a way to reproduce the issue?
Alright, let’s see. The command I have been using is

    guix pack -L . -C 'zstd' -f docker -S /bin=bin python-jupyterlab bash coreutils findutils

with . being a checkout of guix-science (same applies to `guix
time-machine` though). The first time it’ll fail, but the second time
it succeeds.  Running `guix gc` makes it fail again the first time.

The docker-pack.tar.zst.drv used for the first build is
different from the second one (different hash prefix). For me it’s
/gnu/store/r096cm3np7hbdn853ih35h1a5l39in4s-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv
the first time and
/gnu/store/dywspxjshfjhc07i17hkcyrlq8kn7m07-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv
the second time. YMMV.

Looking at ca-certificate-bundle.drv, the first one lacks any form of
glibc-utf8-locales as an input (neither in the .drv, nor via `guix gc
--references <.drv> | grep glibc-`), so it’s clear it must fail. I’m
not quite sure why though, since the actual builder still has a reference
to the locales and sets LOCPATH. So I’m a little puzzled.
 
> --8<---------------cut here---------------start------------->8---
> $ guix build glibc-utf8-locales 
> /gnu/store/rgydar9dfvflqqz2irgh7njj34amaxc6-glibc-utf8-locales-2.31
> $ guix hash -r $(guix build glibc-utf8-locales)
> 012a1vcvmhbrqr5kjbmf7qlgpbw2zv36rgj7rxh400dh8wlj97pi
> $ wget -qO - https://ci.guix.gnu.org/rgydar9dfvflqqz2irgh7njj34amaxc6.narinfo |grep NarHash
> NarHash: sha256:012a1vcvmhbrqr5kjbmf7qlgpbw2zv36rgj7rxh400dh8wlj97pi
> --8<---------------cut here---------------end--------------->8---
Exactly the same for me, so we have the same data at least. `guix gc`
with the repair,contents options also does not show any corrupted
items. I’m thus assuming my store is intact.

Any ideas?

Thanks,
Lars





Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at 50264 <at> debbugs.gnu.org:


Received: (at 50264) by debbugs.gnu.org; 4 Sep 2021 16:27:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 12:27:38 2021
Received: from localhost ([127.0.0.1]:48470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMYW2-0000v8-EI
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 12:27:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mMYW0-0000uw-UE
 for 50264 <at> debbugs.gnu.org; Sat, 04 Sep 2021 12:27:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37282)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mMYVv-0001Av-9X; Sat, 04 Sep 2021 12:27:31 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=48864 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mMYVv-00070S-19; Sat, 04 Sep 2021 12:27:31 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: bug#50264: ca-certificate-bundle fails to build
References: <YSyS7X1RvagkJdl0@HIDDEN>
Date: Sat, 04 Sep 2021 18:27:29 +0200
In-Reply-To: <YSyS7X1RvagkJdl0@HIDDEN> (Lars-Dominik Braun's message
 of "Mon, 30 Aug 2021 10:12:29 +0200")
Message-ID: <87bl58z4pa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50264
Cc: 50264 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Lars-Dominik Braun <lars@HIDDEN> skribis:

> Hi,
>
> I=E2=80=99ve seen this multiple times now, most recently with commit
> 8ef38cd1bf7ec17b8d1bc1c0bcb42ac30ac30406 on a foreign system: Some
> operation, here a `guix pack` tries to build ca-certificate-bundle and
> it fails the first time, but rerunning the same operation succeeds:
>
> ---snip---
> -builder for `/gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-=
bundle.drv' failed with exit code 1
> Erstellung von /gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate=
-bundle.drv fehlgeschlagen
> Das Erstellungsprotokoll kann unter =E2=80=9E/var/log/guix/drvs/iq/m2zwq8=
jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv.bz2=E2=80=9C eingesehen =
werden.
> cannot build derivation `/gnu/store/riw7sfkl8a5rapyvf6vvh07cwv3nrwil-prof=
ile.drv': 1 dependencies couldn't be built
> cannot build derivation `/gnu/store/l8zdf69zk0pg599gifcyxbd80h676yp1-pyth=
on-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv': 1 dependencies could=
n't be built
> guix pack: Fehler: build of `/gnu/store/l8zdf69zk0pg599gifcyxbd80h676yp1-=
python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv' failed
> ---snap---
>
> The backtrace looks like this:
>
> ---snip---
> Backtrace:
>            2 (primitive-load "/gnu/store/74i539y9b0bvslk3bk0kc27q76p?")
> In ice-9/eval.scm:
>     619:8  1 (_ #f)
> In unknown file:
>            0 (setlocale 6 "en_US.utf8")
>
> ERROR: In procedure setlocale:
> In procedure setlocale: Invalid argument
> ---snap---

Is this the backtrace found in the build log (under /var/log/guix/drvs)?

I tried and failed to reproduce it like this:

--8<---------------cut here---------------start------------->8---
$ guix environment --ad-hoc nss-certs -n
La jena derivo estus konstruata:
   /gnu/store/i5s8jqzl52j38qmwqghjyp0v8p7dnlgd-profile.drv

$ guix gc -R /gnu/store/i5s8jqzl52j38qmwqghjyp0v8p7dnlgd-profile.drv |grep =
certificate
/gnu/store/n63a6h3dfhwnaas9pg35zk78qjhxbas9-cmake-curl-certificates.patch
/gnu/store/c8czsp9prfd73wvnyh595h0riqcllfqp-ca-certificate-bundle-builder
/gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
$ guix build --rounds=3D10 /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-c=
ertificate-bundle.drv
The following profile hook will be built:
   /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
building CA certificate bundle...
successfully built /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certifica=
te-bundle.drv
The following builds are still in progress:
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv
  /gnu/store/wdnm4j88pxxkg0m72b58db24fghjizmz-ca-certificate-bundle.drv

/gnu/store/gwgja3hnmlajwxy6rqayf8yd937d8yi5-ca-certificate-bundle
--8<---------------cut here---------------end--------------->8---

Could you find a way to reproduce the issue?

Also, could you run =E2=80=98guix build glibc-utf8-locales --check=E2=80=99=
, so make
sure that store item is not corrupt?

I have:

--8<---------------cut here---------------start------------->8---
$ guix build glibc-utf8-locales=20
/gnu/store/rgydar9dfvflqqz2irgh7njj34amaxc6-glibc-utf8-locales-2.31
$ guix hash -r $(guix build glibc-utf8-locales)
012a1vcvmhbrqr5kjbmf7qlgpbw2zv36rgj7rxh400dh8wlj97pi
$ wget -qO - https://ci.guix.gnu.org/rgydar9dfvflqqz2irgh7njj34amaxc6.narin=
fo |grep NarHash
NarHash: sha256:012a1vcvmhbrqr5kjbmf7qlgpbw2zv36rgj7rxh400dh8wlj97pi
--8<---------------cut here---------------end--------------->8---

TIA,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2021 08:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 04:12:55 2021
Received: from localhost ([127.0.0.1]:58051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKcPW-0001CL-L5
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 04:12:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:52602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1mKcPU-0001CC-MQ
 for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 04:12:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34104)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lars@HIDDEN>) id 1mKcPT-0008F2-6d
 for bug-guix@HIDDEN; Mon, 30 Aug 2021 04:12:52 -0400
Received: from mout-p-201.mailbox.org ([2001:67c:2050::465:201]:60724)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <lars@HIDDEN>) id 1mKcPM-00046e-RE
 for bug-guix@HIDDEN; Mon, 30 Aug 2021 04:12:48 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4Gyjjc4St2zQjVH
 for <bug-guix@HIDDEN>; Mon, 30 Aug 2021 10:12:36 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1630311154;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=4GdK0nMIkYzBrbnP5xmWBukrODdFFxdceZhI0aThxGM=;
 b=U8y5sgPigDYJIo+Pu/nNEgF6eAfoRVQrt0JlQymHNmh4AxjDuiuLZrFo+l42khh4iprXga
 nu5IkjQBOwlD+0H3GyVAu/8jVXR5sp+jt3wZsT30/yuv0SNmH2tkn8bYgYMExds/2Jfo9u
 rRyJWnXy6MVPT3hU/wUyPSuTNofhqxm3/pg0t2hETj3H5a0J/br8zkG84EGf1ofuyCfMMH
 Su+cs3AtYYLZq2ziO/BIx3Sh669R6zcaEj13SDt+4hLpN0VEt8gvZHcFvYhPZkiYHZi+k/
 8EO0nkcSPzlbqY3fJ9aoO1ZlooOmatuJvddaAeZDYzQxD05Tp7mMK0hBNXrd1g==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id GX1K6K92QMXF for <bug-guix@HIDDEN>;
 Mon, 30 Aug 2021 10:12:33 +0200 (CEST)
Date: Mon, 30 Aug 2021 10:12:29 +0200
From: Lars-Dominik Braun <lars@HIDDEN>
To: bug-guix@HIDDEN
Subject: ca-certificate-bundle fails to build
Message-ID: <YSyS7X1RvagkJdl0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="SfCsJKDguBcDeKkE"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Rspamd-Queue-Id: C6DB31844
X-Rspamd-UID: a99619
Received-SPF: pass client-ip=2001:67c:2050::465:201; envelope-from=lars@HIDDEN;
 helo=mout-p-201.mailbox.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 WEIRD_QUOTING=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)


--SfCsJKDguBcDeKkE
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

Hi,

I’ve seen this multiple times now, most recently with commit
8ef38cd1bf7ec17b8d1bc1c0bcb42ac30ac30406 on a foreign system: Some
operation, here a `guix pack` tries to build ca-certificate-bundle and
it fails the first time, but rerunning the same operation succeeds:

---snip---
-builder for `/gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv' failed with exit code 1
Erstellung von /gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv fehlgeschlagen
Das Erstellungsprotokoll kann unter „/var/log/guix/drvs/iq/m2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv.bz2“ eingesehen werden.
cannot build derivation `/gnu/store/riw7sfkl8a5rapyvf6vvh07cwv3nrwil-profile.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/l8zdf69zk0pg599gifcyxbd80h676yp1-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv': 1 dependencies couldn't be built
guix pack: Fehler: build of `/gnu/store/l8zdf69zk0pg599gifcyxbd80h676yp1-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv' failed
---snap---

The backtrace looks like this:

---snip---
Backtrace:
           2 (primitive-load "/gnu/store/74i539y9b0bvslk3bk0kc27q76p?")
In ice-9/eval.scm:
    619:8  1 (_ #f)
In unknown file:
           0 (setlocale 6 "en_US.utf8")

ERROR: In procedure setlocale:
In procedure setlocale: Invalid argument
---snap---

Curiously the output path mentioned in the .drv
(/gnu/store/zjbpik3bfhmcamqzixzm1892mqbknnj9-ca-certificate-bundle) does
not exist, even after successfully running the command. Manually
building the driver with `guix build
/gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv`
yields the same error as above, so I’m assuming the profile hook is
simply broken, while `guix pack` does not actually depend on it.

Cheers,
Lars


--SfCsJKDguBcDeKkE
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv"
Content-Transfer-Encoding: quoted-printable

Derive([("out","/gnu/store/zjbpik3bfhmcamqzixzm1892mqbknnj9-ca-certificate-=
bundle","","")],[("/gnu/store/107rn94lvmjzsrakvd06bd93d47hyd2x-findutils-4.=
7.0.drv",["out"]),("/gnu/store/1blcyyk3ccdjprg204zapq8qjc5ibr3x-python-attr=
s-21.2.0.drv",["out"]),("/gnu/store/4626bkx4rbgn2c7bsgwwi5q1kvkv20mk-python=
-pyzmq-22.1.0.drv",["out"]),("/gnu/store/5ld8a3299gm11gi5phhzyh24l0p5jn3h-g=
uile-3.0.2.drv",["out"]),("/gnu/store/70y6fmwpfdg6w7c9kgbdj12vs6qfll19-pyth=
on-jupyter-core-4.7.1.drv",["out"]),("/gnu/store/8ic55yjz9vzlscwvi0cah69rf3=
srg88c-module-import-compiled.drv",["out"]),("/gnu/store/97pdzby1i6ljr71984=
8df9j84v8diy5v-python-zope-interface-5.1.0.drv",["out"]),("/gnu/store/adicm=
dfi4jrqg9kyndy12sgqh6rcw5c3-coreutils-8.32.drv",["out"]),("/gnu/store/cgqvx=
wlwvdybxlnj7j9a1nbyw98apnpw-python-ipython-genutils-0.1.0.drv",["out"]),("/=
gnu/store/d3qqhr08h3cg9ic68qrnj3jfp3jmq26q-python-importlib-metadata-1.5.0.=
drv",["out"]),("/gnu/store/dl99sx2bqksmmywk0pvxil3a1i6shykv-python-six-1.14=
=2E0.drv",["out"]),("/gnu/store/fvfnw45mzc5n9kz0slw53jd33zy9sp7y-python-tra=
itlets-4.3.3.drv",["out"]),("/gnu/store/g1n6xsvsihljvakwrb6j6rlxvzcnc407-py=
thon-nbformat-5.1.3.drv",["out"]),("/gnu/store/g5lwnsbbfy6zkgyf7jb6pd9svlg1=
hv6c-node-10.24.0.drv",["out"]),("/gnu/store/h87hgphx6jnfhph21h886rh8kbajmp=
z1-python-zipp-1.0.0.drv",["out"]),("/gnu/store/hh1r1lfa0r01vd74y4hmdhkiv1y=
rxxj8-python-twisted-19.7.0.drv",["out"]),("/gnu/store/i4m0kg16hwvqqb8z6csl=
nsq0dfmsrndq-python-pandocfilters-1.4.3.drv",["out"]),("/gnu/store/jskrmcik=
3i55xlgi8rbn13683ksfrk23-python-pygments-2.7.4.drv",["out"]),("/gnu/store/k=
llhbk944sjis1bys3jw3x926s44j6mh-python-more-itertools-8.2.0.drv",["out"]),(=
"/gnu/store/m2v3cqiadb16w06pgnfz53rd7ram0rjz-python-jupyterlab-pygments-0.1=
=2E2.drv",["out"]),("/gnu/store/mfh071vb88x859b0my59zir3gwldalm6-python-sen=
d2trash-1.5.0.drv",["out"]),("/gnu/store/ngh9h4s31my5q5h83bn1rrjlykj8r2aq-p=
ython-jsonschema-3.2.0.drv",["out"]),("/gnu/store/q899l6i4l0piy4v88l0s9csgl=
4w8b7xg-bash-5.0.16.drv",["out"]),("/gnu/store/qxd9ngc6sbassv1wgyh557h6r6dc=
i4ry-python-idna-2.10.drv",["out"]),("/gnu/store/rpi7nq5q7m2isfzc5mc6gypwps=
a1sypq-python-terminado-0.10.0.drv",["out"]),("/gnu/store/rs55kbs4fvkrmygrf=
fmrgywvlvn36wn7-python-testpath-0.4.4.drv",["out"]),("/gnu/store/rsw5dcyncz=
jm5dr2x324bngc3gvfykqz-python-tornado-6.1.drv",["out"]),("/gnu/store/sf249r=
9rsgj3xvnrwn728bs46pb9iia7-python-ptyprocess-0.5.2.drv",["out"]),("/gnu/sto=
re/vlhmdjkiwxrqzizalwvg8jn17j6mmm06-python-constantly-15.1.0.drv",["out"]),=
("/gnu/store/w0rblvjfhz49a084ihmd6k4plwh727c4-python-automat-20.2.0.drv",["=
out"]),("/gnu/store/w9wc5939py5fp40mpd205yzifqx6zxv3-python-incremental-17.=
5.0.drv",["out"]),("/gnu/store/wkba5dds9kgwrd1qsjxf5lxlpz3ddp12-python-pyha=
mcrest-1.9.0-0.25fdc5f.drv",["out"]),("/gnu/store/wkym6kznwkbs74x6n4fvl9029=
9a12afv-python-pyrsistent-0.16.0.drv",["out"]),("/gnu/store/xmzsqzaigpzb85z=
ni80db5nycrhc8par-python-prometheus-client-0.7.1.drv",["out"]),("/gnu/store=
/yz94jmahv05p2gjwx5c57660dbn7nbiq-python-decorator-4.3.0.drv",["out"]),("/g=
nu/store/ziz5svq4vfm1l2x767k2ywb8svkwdw0s-python-hyperlink-19.0.0.drv",["ou=
t"])],["/gnu/store/74i539y9b0bvslk3bk0kc27q76p6zigb-ca-certificate-bundle-b=
uilder","/gnu/store/xv5ylv9hxvs1wraw375b5g9jwy57vs8p-module-import"],"x86_6=
4-linux","/gnu/store/0m0vd873jp61lcm4xa3ljdgx381qa782-guile-3.0.2/bin/guile=
",["--no-auto-compile","-L","/gnu/store/xv5ylv9hxvs1wraw375b5g9jwy57vs8p-mo=
dule-import","-C","/gnu/store/08da6i38fzn9g36gyq443k03f84nk8rk-module-impor=
t-compiled","/gnu/store/74i539y9b0bvslk3bk0kc27q76p6zigb-ca-certificate-bun=
dle-builder"],[("allowSubstitutes","0"),("guix properties","((type . profil=
e-hook) (hook . ca-certificate-bundle))"),("out","/gnu/store/zjbpik3bfhmcam=
qzixzm1892mqbknnj9-ca-certificate-bundle"),("preferLocalBuild","1")])
--SfCsJKDguBcDeKkE--




Acknowledgement sent to Lars-Dominik Braun <lars@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#50264; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Sep 2021 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.